!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten0, Ten1, Ten2, Ten3, Ten4, Ten5, Ten6, Ten7, Ten8, Ten9,   &
                 Ten10, Ten11, Ten12, Ten13, Ten14, Ten15, Ten16, Ten17, Ten18 &
                 , Ten19, Ten20, Ten21, Ten22, Ten23, Ten24, Ten25, Ten26,     &
                 Ten27, Ten28, Ten29, Ten30, Ten31, Ten32, Ten33, Ten34, Ten35 &
                 , Ten36, Ten37, Ten38, Ten39, Ten40, Ten41, Ten42, Ten43,     &
                 Ten44, Ten45, Ten46, Ten47, Ten48, Ten49, Ten50, Ten51, Ten52 &
                 , Ten53, Ten54, Ten55, Ten56, Ten57, Ten58, Ten59, Ten60,     &
                 Ten61, Ten62, Ten63, Ten64, Ten65, Ten66, Ten67, Ten68, Ten69 &
                 , Ten70, Ten71, Ten72, Ten73, Ten74, Ten75, Ten76, Ten77,     &
                 Ten78, Ten79, Ten80, Ten81, Ten82, Ten83, Ten84, Ten85, Ten86 &
                 , Ten87, Ten88, Ten89, Ten90, Ten91, Ten92, Ten93, Ten94,     &
                 Ten95, Ten96, Ten97, Ten98, Ten99, Ten100, Ten101, Ten102,    &
                 Ten103, Ten104, Ten105, Ten106, Ten107, Ten108, Ten109, Ten110&
                 , Ten111, Ten112, Ten113, Ten114, Ten115, Ten116, Ten117,     &
                 Ten118, Ten119, Ten120, Ten121, Ten122, Ten123, Ten124, Ten125&
                 , Ten126, Ten127, Ten128, Ten129, Ten130, Ten131, Ten132,     &
                 Ten133, Ten134, Ten135, Ten136, Ten137, Ten138, Ten139, Ten140&
                 , Ten141, Ten142, Ten143, Ten144, Ten145, Ten146, Ten147,     &
                 Ten148, Ten149, Ten150, Ten151, Ten152, Ten153, Ten154, Ten155&
                 , Ten156, Ten157, Ten158, Ten159, Ten160, Ten161, Ten162,     &
                 Ten163, Ten164, Ten165, Ten166, Ten167, Ten168, Ten169, Ten170&
                 , Ten171, Ten172, Ten173, Ten174, Ten175, Ten176, Ten177,     &
                 Ten178, Ten179, Ten180, Ten181, Ten182, Ten183, Ten184, Ten185&
                 , Ten186, Ten187, Ten188, Ten189, Ten190, Ten191, Ten192,     &
                 Ten193, Ten194, Ten195, Ten196, Ten197, Ten198, Ten199, Ten200&
                 , Ten201, Ten202, Ten203, Ten204, Ten205, Ten206, Ten207,     &
                 Ten208, Ten209, Ten210, Ten211, Ten212, Ten213, Ten214, Ten215&
                 , Ten216, Ten217, Ten218, Ten219, Ten220, Ten221, Ten222,     &
                 Ten223, Ten224, Ten225, Ten226, Ten227, Ten228, Ten229, Ten230&
                 , Ten231, Ten232, Ten233, Ten234, Ten235, Ten236, Ten237,     &
                 Ten238, Ten239, Ten240, Ten241, Ten242, Ten243, Ten244, Ten245&
                 , Ten246, Ten247, Ten248, Ten249, Ten250, Ten251, Ten252,     &
                 Ten253, Ten254, Ten255, Ten256, Ten257, Ten258, Ten259, Ten260&
                 , Ten261, Ten262, Ten263, Ten264, Ten265, Ten266, Ten267,     &
                 Ten268, Ten269, Ten270, Ten271, Ten272, Ten273, Ten274, Ten275&
                 , Ten276, Ten277, Ten278, Ten279, Ten280, Ten281, Ten282,     &
                 Ten283, Ten284, Ten285, Ten286, Ten287, Ten288, Ten289, Ten290&
                 , Ten291, Ten292, Ten293, Ten294, Ten295, Ten296, Ten297,     &
                 Ten298, Ten299, Ten300, Ten301, Ten302, Ten303, Ten304, Ten305&
                 , Ten306, Ten307, Ten308, Ten309, Ten310, Ten311, Ten312,     &
                 Ten313, Ten314, Ten315, Ten316, Ten317, Ten318, Ten319, Ten320&
                 , Ten321, Ten322, Ten323, Ten324, Ten325, Ten326, Ten327,     &
                 Ten328, Ten329, Ten330, Ten331, Ten332, Ten333, Ten334, Ten335&
                 , Ten336, Ten337, Ten338, Ten339, Ten340, Ten341, Ten342,     &
                 Ten343, Ten344, Ten345, Ten346, Ten347, Ten348, Ten349, Ten350&
                 , Ten351, Ten352, Ten353, Ten354, Ten355, Ten356, Ten357,     &
                 Ten358, Ten359, Ten360, Ten361, Ten362, Ten363, Ten364, Ten365&
                 , Ten366, Ten367, Ten368, Ten369, Ten370, Ten371, Ten372,     &
                 Ten373, Ten374, Ten375, Ten376, Ten377, Ten378, Ten379, Ten380&
                 , Ten381, Ten382, Ten383, Ten384, Ten385, Ten386, Ten387,     &
                 Ten388, Ten389, Ten390, Ten391, Ten392, Ten393, Ten394, Ten395&
                 , Ten396, Ten397, Ten398, Ten399, Ten400, Ten401, Ten402,     &
                 Ten403, Ten404, Ten405, Ten406, Ten407, Ten408, Ten409, Ten410&
                 , Ten411, Ten412, Ten413, Ten414, Ten415, Ten416, Ten417,     &
                 Ten418, Ten419, Ten420, Ten421, Ten422, Ten423, Ten424, Ten425&
                 , Ten426, Ten427, Ten428, Ten429, Ten430, Ten431, Ten432,     &
                 Ten433, Ten434, Ten435, Ten436, Ten437, Ten438, Ten439, Ten440&
                 , Ten441, Ten442, Ten443, Ten444, Ten445, Ten446, Ten447,     &
                 Ten448, Ten449, Ten450, Ten451, Ten452, Ten453, Ten454, Ten455&
                 , Ten456, Ten457, Ten458, Ten459, Ten460, Ten461, Ten462,     &
                 Ten463, Ten464, Ten465, Ten466, Ten467, Ten468, Ten469, Ten470&
                 , Ten471, Ten472, Ten473, Ten474, Ten475, Ten476, Ten477,     &
                 Ten478, Ten479, Ten480, Ten481, Ten482, Ten483, Ten484, Ten485&
                 , Ten486, Ten487, Ten488, Ten489, Ten490, Ten491, Ten492,     &
                 Ten493, Ten494, Ten495, Ten496, Ten497, Ten498, Ten499, Ten500&
                 , Ten501, Ten502, Ten503, Ten504, Ten505, Ten506, Ten507,     &
                 Ten508, Ten509, Ten510, Ten511, Ten512, Ten513, Ten514, Ten515&
                 , Ten516, Ten517, Ten518, Ten519, Ten520, Ten521, Ten522,     &
                 Ten523, Ten524, Ten525, Ten526, Ten527, Ten528, Ten529, Ten530&
                 , Ten531, Ten532, Ten533, Ten534, Ten535, Ten536, Ten537,     &
                 Ten538, Ten539, Ten540, Ten541, Ten542, Ten543, Ten544, Ten545&
                 , Ten546, Ten547
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten0 = A0(cMH12_reg)
    Ten1 = A0(cMZ2_reg)
    Ten2 = A0(cMW2_reg)
    Ten3 = A0(cME2_reg)
    Ten4 = A0(cMM2_reg)
    Ten5 = A0(cMTA2_reg)
    Ten6 = A0(cMU2_reg)
    Ten7 = A0(cMC2_reg)
    Ten8 = A0(cMT2_reg)
    Ten9 = A0(cMD2_reg)
    Ten10 = A0(cMS2_reg)
    Ten11 = A0(cMB2_reg)
    Ten12 = A0(cMHP2_reg)
    Ten13 = B0(rMH12, cMZ2_reg, cMZ2_reg)
    Ten14 = B0(rMH12, cMW2_reg, cMW2_reg)
    Ten15 = B0(rMH12, cMH12_reg, cMH12_reg)
    Ten16 = B0(rMH12, cMHP2_reg, cMHP2_reg)
    Ten17 = B0(rMH12, cME2_reg, cME2_reg)
    Ten18 = B0(rMH12, cMM2_reg, cMM2_reg)
    Ten19 = B0(rMH12, cMTA2_reg, cMTA2_reg)
    Ten20 = B0(rMH12, cMU2_reg, cMU2_reg)
    Ten21 = B0(rMH12, cMC2_reg, cMC2_reg)
    Ten22 = B0(rMH12, cMT2_reg, cMT2_reg)
    Ten23 = B0(rMH12, cMD2_reg, cMD2_reg)
    Ten24 = B0(rMH12, cMS2_reg, cMS2_reg)
    Ten25 = B0(rMH12, cMB2_reg, cMB2_reg)
    Ten26 = B1(rMH12, cMZ2_reg, cMZ2_reg)
    Ten27 = B00(rMH12, cMZ2_reg, cMZ2_reg)
    Ten28 = B11(rMH12, cMZ2_reg, cMZ2_reg)
    Ten29 = B1(rMH12, cMW2_reg, cMW2_reg)
    Ten30 = B00(rMH12, cMW2_reg, cMW2_reg)
    Ten31 = B11(rMH12, cMW2_reg, cMW2_reg)
    Ten32 = B1(rMH12, cME2_reg, cME2_reg)
    Ten33 = B00(rMH12, cME2_reg, cME2_reg)
    Ten34 = B11(rMH12, cME2_reg, cME2_reg)
    Ten35 = B1(rMH12, cMM2_reg, cMM2_reg)
    Ten36 = B00(rMH12, cMM2_reg, cMM2_reg)
    Ten37 = B11(rMH12, cMM2_reg, cMM2_reg)
    Ten38 = B1(rMH12, cMTA2_reg, cMTA2_reg)
    Ten39 = B00(rMH12, cMTA2_reg, cMTA2_reg)
    Ten40 = B11(rMH12, cMTA2_reg, cMTA2_reg)
    Ten41 = B1(rMH12, cMU2_reg, cMU2_reg)
    Ten42 = B00(rMH12, cMU2_reg, cMU2_reg)
    Ten43 = B11(rMH12, cMU2_reg, cMU2_reg)
    Ten44 = B1(rMH12, cMC2_reg, cMC2_reg)
    Ten45 = B00(rMH12, cMC2_reg, cMC2_reg)
    Ten46 = B11(rMH12, cMC2_reg, cMC2_reg)
    Ten47 = B1(rMH12, cMT2_reg, cMT2_reg)
    Ten48 = B00(rMH12, cMT2_reg, cMT2_reg)
    Ten49 = B11(rMH12, cMT2_reg, cMT2_reg)
    Ten50 = B1(rMH12, cMD2_reg, cMD2_reg)
    Ten51 = B00(rMH12, cMD2_reg, cMD2_reg)
    Ten52 = B11(rMH12, cMD2_reg, cMD2_reg)
    Ten53 = B1(rMH12, cMS2_reg, cMS2_reg)
    Ten54 = B00(rMH12, cMS2_reg, cMS2_reg)
    Ten55 = B11(rMH12, cMS2_reg, cMS2_reg)
    Ten56 = B1(rMH12, cMB2_reg, cMB2_reg)
    Ten57 = B00(rMH12, cMB2_reg, cMB2_reg)
    Ten58 = B11(rMH12, cMB2_reg, cMB2_reg)
    Ten59 = DB0(rMH12, cMZ2_reg, cMZ2_reg)
    Ten60 = DB1(rMH12, cMZ2_reg, cMZ2_reg)
    Ten61 = DB00(rMH12, cMZ2_reg, cMZ2_reg)
    Ten62 = DB11(rMH12, cMZ2_reg, cMZ2_reg)
    Ten63 = DB0(rMH12, cMW2_reg, cMW2_reg)
    Ten64 = DB1(rMH12, cMW2_reg, cMW2_reg)
    Ten65 = DB00(rMH12, cMW2_reg, cMW2_reg)
    Ten66 = DB11(rMH12, cMW2_reg, cMW2_reg)
    Ten67 = DB0(rMH12, cME2_reg, cME2_reg)
    Ten68 = DB0(rMH12, cMM2_reg, cMM2_reg)
    Ten69 = DB0(rMH12, cMTA2_reg, cMTA2_reg)
    Ten70 = DB0(rMH12, cMU2_reg, cMU2_reg)
    Ten71 = DB0(rMH12, cMC2_reg, cMC2_reg)
    Ten72 = DB0(rMH12, cMT2_reg, cMT2_reg)
    Ten73 = DB0(rMH12, cMD2_reg, cMD2_reg)
    Ten74 = DB0(rMH12, cMS2_reg, cMS2_reg)
    Ten75 = DB0(rMH12, cMB2_reg, cMB2_reg)
    Ten76 = DB0(rMH12, cMH12_reg, cMH12_reg)
    Ten77 = DB0(rMH12, cMHP2_reg, cMHP2_reg)
    Ten78 = DB1(rMH12, cME2_reg, cME2_reg)
    Ten79 = DB1(rMH12, cMM2_reg, cMM2_reg)
    Ten80 = DB1(rMH12, cMTA2_reg, cMTA2_reg)
    Ten81 = DB1(rMH12, cMU2_reg, cMU2_reg)
    Ten82 = DB1(rMH12, cMC2_reg, cMC2_reg)
    Ten83 = DB1(rMH12, cMT2_reg, cMT2_reg)
    Ten84 = DB1(rMH12, cMD2_reg, cMD2_reg)
    Ten85 = DB1(rMH12, cMS2_reg, cMS2_reg)
    Ten86 = DB1(rMH12, cMB2_reg, cMB2_reg)
    Ten87 = DB00(rMH12, cME2_reg, cME2_reg)
    Ten88 = DB00(rMH12, cMM2_reg, cMM2_reg)
    Ten89 = DB00(rMH12, cMTA2_reg, cMTA2_reg)
    Ten90 = DB00(rMH12, cMU2_reg, cMU2_reg)
    Ten91 = DB00(rMH12, cMC2_reg, cMC2_reg)
    Ten92 = DB00(rMH12, cMT2_reg, cMT2_reg)
    Ten93 = DB00(rMH12, cMD2_reg, cMD2_reg)
    Ten94 = DB00(rMH12, cMS2_reg, cMS2_reg)
    Ten95 = DB00(rMH12, cMB2_reg, cMB2_reg)
    Ten96 = DB11(rMH12, cME2_reg, cME2_reg)
    Ten97 = DB11(rMH12, cMM2_reg, cMM2_reg)
    Ten98 = DB11(rMH12, cMTA2_reg, cMTA2_reg)
    Ten99 = DB11(rMH12, cMU2_reg, cMU2_reg)
    Ten100 = DB11(rMH12, cMC2_reg, cMC2_reg)
    Ten101 = DB11(rMH12, cMT2_reg, cMT2_reg)
    Ten102 = DB11(rMH12, cMD2_reg, cMD2_reg)
    Ten103 = DB11(rMH12, cMS2_reg, cMS2_reg)
    Ten104 = DB11(rMH12, cMB2_reg, cMB2_reg)
    Ten105 = A0(cnul)
    Ten106 = B0(rMHP2, cnul, cMHP2_reg)
    Ten107 = B1(rMHP2, cnul, cMHP2_reg)
    Ten108 = B00(rMHP2, cnul, cMHP2_reg)
    Ten109 = B11(rMHP2, cnul, cMHP2_reg)
    Ten110 = B0(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten111 = B0(rMHP2, cMHP2_reg, cMW2_reg)
    Ten112 = B0(rMHP2, cMH12_reg, cMHP2_reg)
    Ten113 = B1(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten114 = B1(rMHP2, cMHP2_reg, cMW2_reg)
    Ten115 = B00(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten116 = B00(rMHP2, cMHP2_reg, cMW2_reg)
    Ten117 = B11(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten118 = B11(rMHP2, cMHP2_reg, cMW2_reg)
    Ten119 = DB0(rMHP2, cnul, cMHP2_reg)
    Ten120 = DB1(rMHP2, cnul, cMHP2_reg)
    Ten121 = DB00(rMHP2, cnul, cMHP2_reg)
    Ten122 = DB11(rMHP2, cnul, cMHP2_reg)
    Ten123 = DB0(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten124 = DB1(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten125 = DB00(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten126 = DB11(rMHP2, cMHP2_reg, cMZ2_reg)
    Ten127 = DB0(rMHP2, cMHP2_reg, cMW2_reg)
    Ten128 = DB1(rMHP2, cMHP2_reg, cMW2_reg)
    Ten129 = DB00(rMHP2, cMHP2_reg, cMW2_reg)
    Ten130 = DB11(rMHP2, cMHP2_reg, cMW2_reg)
    Ten131 = DB0(rMHP2, cMH12_reg, cMHP2_reg)
    Ten132 = B0(cnul, cnul, cnul)
    Ten133 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten134 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten135 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten136 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten137 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten138 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten139 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten140 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten141 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten142 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten143 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten144 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten145 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten146 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten147 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten148 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten149 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten150 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten151 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten152 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten153 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten154 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten155 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten156 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten157 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten158 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten159 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten160 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten161 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten162 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten163 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten164 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten165 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten166 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten167 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten168 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten169 = HT(cMU2_reg, cMU2_reg)
    Ten170 = HT(cMC2_reg, cMC2_reg)
    Ten171 = HT(cMD2_reg, cMD2_reg)
    Ten172 = HT(cMS2_reg, cMS2_reg)
    Ten173 = HT(cMB2_reg, cMB2_reg)
    Ten174 = B0(cMU2_reg, cnul, cMU2_reg)
    Ten175 = B1(cMU2_reg, cnul, cMU2_reg)
    Ten176 = B0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten177 = B0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten178 = B0(cMU2_reg, cMH12_reg, cMU2_reg)
    Ten179 = B1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten180 = B1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten181 = B1(cMU2_reg, cMH12_reg, cMU2_reg)
    Ten182 = DB0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten183 = DB0(cMU2_reg, cnul, cMU2_reg)
    Ten184 = DB0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten185 = DB0(cMU2_reg, cMH12_reg, cMU2_reg)
    Ten186 = DB1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten187 = DB1(cMU2_reg, cnul, cMU2_reg)
    Ten188 = DB1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten189 = DB1(cMU2_reg, cMH12_reg, cMU2_reg)
    Ten190 = B0(cnul, cMD2_reg, cMW2_reg)
    Ten191 = B1(cnul, cMD2_reg, cMW2_reg)
    Ten192 = B1(cnul, cnul, cMZ2_reg)
    Ten193 = B1(cnul, cnul, cMH12_reg)
    Ten194 = B0(cMD2_reg, cnul, cMD2_reg)
    Ten195 = B1(cMD2_reg, cnul, cMD2_reg)
    Ten196 = B0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten197 = B0(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten198 = B0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten199 = B1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten200 = B1(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten201 = B1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten202 = DB0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten203 = DB0(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten204 = DB0(cMD2_reg, cnul, cMD2_reg)
    Ten205 = DB0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten206 = DB1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten207 = DB1(cMD2_reg, cMD2_reg, cMH12_reg)
    Ten208 = DB1(cMD2_reg, cnul, cMD2_reg)
    Ten209 = DB1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten210 = B0(cnul, cMU2_reg, cMW2_reg)
    Ten211 = B1(cnul, cMU2_reg, cMW2_reg)
    Ten212 = B0(rMC2, cnul, cMC2_reg)
    Ten213 = B1(rMC2, cnul, cMC2_reg)
    Ten214 = B0(rMC2, cMC2_reg, cMZ2_reg)
    Ten215 = B0(rMC2, cMC2_reg, cMH12_reg)
    Ten216 = B0(rMC2, cMS2_reg, cMW2_reg)
    Ten217 = B1(rMC2, cMC2_reg, cMZ2_reg)
    Ten218 = B1(rMC2, cMC2_reg, cMH12_reg)
    Ten219 = B1(rMC2, cMS2_reg, cMW2_reg)
    Ten220 = DB0(rMC2, cMC2_reg, cMZ2_reg)
    Ten221 = DB0(rMC2, cMC2_reg, cMH12_reg)
    Ten222 = DB0(rMC2, cnul, cMC2_reg)
    Ten223 = DB0(rMC2, cMS2_reg, cMW2_reg)
    Ten224 = DB1(rMC2, cMC2_reg, cMZ2_reg)
    Ten225 = DB1(rMC2, cMC2_reg, cMH12_reg)
    Ten226 = DB1(rMC2, cnul, cMC2_reg)
    Ten227 = DB1(rMC2, cMS2_reg, cMW2_reg)
    Ten228 = B0(cMC2_reg, cnul, cMC2_reg)
    Ten229 = B1(cMC2_reg, cnul, cMC2_reg)
    Ten230 = B0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten231 = B0(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten232 = B0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten233 = B1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten234 = B1(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten235 = B1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten236 = DB0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten237 = DB0(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten238 = DB0(cMC2_reg, cnul, cMC2_reg)
    Ten239 = DB0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten240 = DB1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten241 = DB1(cMC2_reg, cMC2_reg, cMH12_reg)
    Ten242 = DB1(cMC2_reg, cnul, cMC2_reg)
    Ten243 = DB1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten244 = B0(cnul, cMS2_reg, cMW2_reg)
    Ten245 = B1(cnul, cMS2_reg, cMW2_reg)
    Ten246 = B0(cMS2_reg, cnul, cMS2_reg)
    Ten247 = B1(cMS2_reg, cnul, cMS2_reg)
    Ten248 = B0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten249 = B0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten250 = B0(cMS2_reg, cMH12_reg, cMS2_reg)
    Ten251 = B1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten252 = B1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten253 = B1(cMS2_reg, cMH12_reg, cMS2_reg)
    Ten254 = DB0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten255 = DB0(cMS2_reg, cnul, cMS2_reg)
    Ten256 = DB0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten257 = DB0(cMS2_reg, cMH12_reg, cMS2_reg)
    Ten258 = DB1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten259 = DB1(cMS2_reg, cnul, cMS2_reg)
    Ten260 = DB1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten261 = DB1(cMS2_reg, cMH12_reg, cMS2_reg)
    Ten262 = B0(cnul, cMC2_reg, cMW2_reg)
    Ten263 = B1(cnul, cMC2_reg, cMW2_reg)
    Ten264 = B0(rMB2, cnul, cMB2_reg)
    Ten265 = B1(rMB2, cnul, cMB2_reg)
    Ten266 = B0(rMB2, cMB2_reg, cMZ2_reg)
    Ten267 = B0(rMB2, cMB2_reg, cMH12_reg)
    Ten268 = B0(rMB2, cMT2_reg, cMW2_reg)
    Ten269 = B1(rMB2, cMB2_reg, cMZ2_reg)
    Ten270 = B1(rMB2, cMB2_reg, cMH12_reg)
    Ten271 = B1(rMB2, cMT2_reg, cMW2_reg)
    Ten272 = DB0(rMB2, cMB2_reg, cMZ2_reg)
    Ten273 = DB0(rMB2, cMB2_reg, cMH12_reg)
    Ten274 = DB0(rMB2, cnul, cMB2_reg)
    Ten275 = DB0(rMB2, cMT2_reg, cMW2_reg)
    Ten276 = DB1(rMB2, cMB2_reg, cMZ2_reg)
    Ten277 = DB1(rMB2, cMB2_reg, cMH12_reg)
    Ten278 = DB1(rMB2, cnul, cMB2_reg)
    Ten279 = DB1(rMB2, cMT2_reg, cMW2_reg)
    Ten280 = B0(cMB2_reg, cnul, cMB2_reg)
    Ten281 = B1(cMB2_reg, cnul, cMB2_reg)
    Ten282 = B0(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten283 = B0(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten284 = B0(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten285 = B1(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten286 = B1(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten287 = B1(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten288 = DB0(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten289 = DB0(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten290 = DB0(cMB2_reg, cnul, cMB2_reg)
    Ten291 = DB0(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten292 = DB1(cMB2_reg, cMB2_reg, cMZ2_reg)
    Ten293 = DB1(cMB2_reg, cMB2_reg, cMH12_reg)
    Ten294 = DB1(cMB2_reg, cnul, cMB2_reg)
    Ten295 = DB1(cMB2_reg, cMT2_reg, cMW2_reg)
    Ten296 = B0(cnul, cMT2_reg, cMW2_reg)
    Ten297 = B1(cnul, cMT2_reg, cMW2_reg)
    Ten298 = B0(rMT2, cnul, cMT2_reg)
    Ten299 = B1(rMT2, cnul, cMT2_reg)
    Ten300 = B0(rMT2, cMT2_reg, cMZ2_reg)
    Ten301 = B0(rMT2, cMB2_reg, cMW2_reg)
    Ten302 = B0(rMT2, cMH12_reg, cMT2_reg)
    Ten303 = B1(rMT2, cMT2_reg, cMZ2_reg)
    Ten304 = B1(rMT2, cMB2_reg, cMW2_reg)
    Ten305 = B1(rMT2, cMH12_reg, cMT2_reg)
    Ten306 = DB0(rMT2, cMT2_reg, cMZ2_reg)
    Ten307 = DB0(rMT2, cnul, cMT2_reg)
    Ten308 = DB0(rMT2, cMB2_reg, cMW2_reg)
    Ten309 = DB0(rMT2, cMH12_reg, cMT2_reg)
    Ten310 = DB1(rMT2, cMT2_reg, cMZ2_reg)
    Ten311 = DB1(rMT2, cnul, cMT2_reg)
    Ten312 = DB1(rMT2, cMB2_reg, cMW2_reg)
    Ten313 = DB1(rMT2, cMH12_reg, cMT2_reg)
    Ten314 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten315 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten316 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten317 = B0(cME2_reg, cnul, cME2_reg)
    Ten318 = B1(cME2_reg, cnul, cME2_reg)
    Ten319 = B0(cME2_reg, cME2_reg, cMZ2_reg)
    Ten320 = B0(cME2_reg, cME2_reg, cMH12_reg)
    Ten321 = B1(cME2_reg, cME2_reg, cMZ2_reg)
    Ten322 = B1(cME2_reg, cME2_reg, cMH12_reg)
    Ten323 = B1(cME2_reg, cnul, cMW2_reg)
    Ten324 = DB0(cME2_reg, cME2_reg, cMZ2_reg)
    Ten325 = DB0(cME2_reg, cME2_reg, cMH12_reg)
    Ten326 = DB0(cME2_reg, cnul, cME2_reg)
    Ten327 = DB1(cME2_reg, cME2_reg, cMZ2_reg)
    Ten328 = DB1(cME2_reg, cME2_reg, cMH12_reg)
    Ten329 = DB1(cME2_reg, cnul, cME2_reg)
    Ten330 = DB1(cME2_reg, cnul, cMW2_reg)
    Ten331 = B1(cnul, cnul, cMW2_reg)
    Ten332 = B0(rMM2, cnul, cMM2_reg)
    Ten333 = B1(rMM2, cnul, cMM2_reg)
    Ten334 = B0(rMM2, cMM2_reg, cMZ2_reg)
    Ten335 = B0(rMM2, cMH12_reg, cMM2_reg)
    Ten336 = B1(rMM2, cMM2_reg, cMZ2_reg)
    Ten337 = B1(rMM2, cMH12_reg, cMM2_reg)
    Ten338 = B1(rMM2, cnul, cMW2_reg)
    Ten339 = DB0(rMM2, cMM2_reg, cMZ2_reg)
    Ten340 = DB0(rMM2, cnul, cMM2_reg)
    Ten341 = DB0(rMM2, cMH12_reg, cMM2_reg)
    Ten342 = DB1(rMM2, cMM2_reg, cMZ2_reg)
    Ten343 = DB1(rMM2, cnul, cMM2_reg)
    Ten344 = DB1(rMM2, cnul, cMW2_reg)
    Ten345 = DB1(rMM2, cMH12_reg, cMM2_reg)
    Ten346 = B0(cMM2_reg, cnul, cMM2_reg)
    Ten347 = B1(cMM2_reg, cnul, cMM2_reg)
    Ten348 = B0(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten349 = B0(cMM2_reg, cMH12_reg, cMM2_reg)
    Ten350 = B1(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten351 = B1(cMM2_reg, cMH12_reg, cMM2_reg)
    Ten352 = B1(cMM2_reg, cnul, cMW2_reg)
    Ten353 = DB0(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten354 = DB0(cMM2_reg, cnul, cMM2_reg)
    Ten355 = DB0(cMM2_reg, cMH12_reg, cMM2_reg)
    Ten356 = DB1(cMM2_reg, cMM2_reg, cMZ2_reg)
    Ten357 = DB1(cMM2_reg, cnul, cMM2_reg)
    Ten358 = DB1(cMM2_reg, cnul, cMW2_reg)
    Ten359 = DB1(cMM2_reg, cMH12_reg, cMM2_reg)
    Ten360 = B0(rMTA2, cnul, cMTA2_reg)
    Ten361 = B1(rMTA2, cnul, cMTA2_reg)
    Ten362 = B0(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten363 = B0(rMTA2, cMH12_reg, cMTA2_reg)
    Ten364 = B1(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten365 = B1(rMTA2, cMH12_reg, cMTA2_reg)
    Ten366 = B1(rMTA2, cnul, cMW2_reg)
    Ten367 = DB0(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten368 = DB0(rMTA2, cnul, cMTA2_reg)
    Ten369 = DB0(rMTA2, cMH12_reg, cMTA2_reg)
    Ten370 = DB1(rMTA2, cMTA2_reg, cMZ2_reg)
    Ten371 = DB1(rMTA2, cnul, cMTA2_reg)
    Ten372 = DB1(rMTA2, cnul, cMW2_reg)
    Ten373 = DB1(rMTA2, cMH12_reg, cMTA2_reg)
    Ten374 = B0(cMTA2_reg, cnul, cMTA2_reg)
    Ten375 = B1(cMTA2_reg, cnul, cMTA2_reg)
    Ten376 = B0(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten377 = B0(cMTA2_reg, cMH12_reg, cMTA2_reg)
    Ten378 = B1(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten379 = B1(cMTA2_reg, cMH12_reg, cMTA2_reg)
    Ten380 = B1(cMTA2_reg, cnul, cMW2_reg)
    Ten381 = DB0(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten382 = DB0(cMTA2_reg, cnul, cMTA2_reg)
    Ten383 = DB0(cMTA2_reg, cMH12_reg, cMTA2_reg)
    Ten384 = DB1(cMTA2_reg, cMTA2_reg, cMZ2_reg)
    Ten385 = DB1(cMTA2_reg, cnul, cMTA2_reg)
    Ten386 = DB1(cMTA2_reg, cnul, cMW2_reg)
    Ten387 = DB1(cMTA2_reg, cMH12_reg, cMTA2_reg)
    Ten388 = B1(cnul, cME2_reg, cMW2_reg)
    Ten389 = B1(cnul, cMM2_reg, cMW2_reg)
    Ten390 = B1(cnul, cMTA2_reg, cMW2_reg)
    Ten391 = B0(cnul, cMW2_reg, cMW2_reg)
    Ten392 = B1(cnul, cMW2_reg, cMW2_reg)
    Ten393 = B11(cnul, cMW2_reg, cMW2_reg)
    Ten394 = B00(cnul, cMW2_reg, cMW2_reg)
    Ten395 = B1(cnul, cME2_reg, cME2_reg)
    Ten396 = B1(cnul, cMM2_reg, cMM2_reg)
    Ten397 = B1(cnul, cMTA2_reg, cMTA2_reg)
    Ten398 = B11(cnul, cME2_reg, cME2_reg)
    Ten399 = B11(cnul, cMM2_reg, cMM2_reg)
    Ten400 = B11(cnul, cMTA2_reg, cMTA2_reg)
    Ten401 = B0(cnul, cME2_reg, cME2_reg)
    Ten402 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten403 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten404 = B00(cnul, cME2_reg, cME2_reg)
    Ten405 = B00(cnul, cMM2_reg, cMM2_reg)
    Ten406 = B00(cnul, cMTA2_reg, cMTA2_reg)
    Ten407 = B00(cnul, cMHP2_reg, cMHP2_reg)
    Ten408 = DB00(cnul, cMW2_reg, cMW2_reg)
    Ten409 = DB0(cnul, cME2_reg, cME2_reg)
    Ten410 = DB0(cnul, cMM2_reg, cMM2_reg)
    Ten411 = DB0(cnul, cMTA2_reg, cMTA2_reg)
    Ten412 = DB00(cnul, cME2_reg, cME2_reg)
    Ten413 = DB00(cnul, cMM2_reg, cMM2_reg)
    Ten414 = DB00(cnul, cMTA2_reg, cMTA2_reg)
    Ten415 = DB00(cnul, cMHP2_reg, cMHP2_reg)
    Ten416 = DB0(cnul, cMW2_reg, cMW2_reg)
    Ten417 = HT(cME2_reg, cME2_reg)
    Ten418 = HT(cMM2_reg, cMM2_reg)
    Ten419 = HT(cMTA2_reg, cMTA2_reg)
    Ten420 = B0(cnul, cMHP2_reg, cMHP2_reg)
    Ten421 = B1(cnul, cMHP2_reg, cMHP2_reg)
    Ten422 = B11(cnul, cMHP2_reg, cMHP2_reg)
    Ten423 = B0(rMZ2, cMH12_reg, cMZ2_reg)
    Ten424 = B0(rMZ2, cMW2_reg, cMW2_reg)
    Ten425 = B0(rMZ2, cME2_reg, cME2_reg)
    Ten426 = B0(rMZ2, cMM2_reg, cMM2_reg)
    Ten427 = B0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten428 = B0(rMZ2, cMU2_reg, cMU2_reg)
    Ten429 = B0(rMZ2, cMC2_reg, cMC2_reg)
    Ten430 = B0(rMZ2, cMT2_reg, cMT2_reg)
    Ten431 = B0(rMZ2, cMD2_reg, cMD2_reg)
    Ten432 = B0(rMZ2, cMS2_reg, cMS2_reg)
    Ten433 = B0(rMZ2, cMB2_reg, cMB2_reg)
    Ten434 = B1(rMZ2, cMW2_reg, cMW2_reg)
    Ten435 = B00(rMZ2, cMW2_reg, cMW2_reg)
    Ten436 = B11(rMZ2, cMW2_reg, cMW2_reg)
    Ten437 = B1(rMZ2, cME2_reg, cME2_reg)
    Ten438 = B1(rMZ2, cMM2_reg, cMM2_reg)
    Ten439 = B1(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten440 = B00(rMZ2, cME2_reg, cME2_reg)
    Ten441 = B00(rMZ2, cMM2_reg, cMM2_reg)
    Ten442 = B00(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten443 = B11(rMZ2, cME2_reg, cME2_reg)
    Ten444 = B11(rMZ2, cMM2_reg, cMM2_reg)
    Ten445 = B11(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten446 = B1(rMZ2, cMU2_reg, cMU2_reg)
    Ten447 = B1(rMZ2, cMC2_reg, cMC2_reg)
    Ten448 = B1(rMZ2, cMT2_reg, cMT2_reg)
    Ten449 = B00(rMZ2, cMU2_reg, cMU2_reg)
    Ten450 = B00(rMZ2, cMC2_reg, cMC2_reg)
    Ten451 = B00(rMZ2, cMT2_reg, cMT2_reg)
    Ten452 = B11(rMZ2, cMU2_reg, cMU2_reg)
    Ten453 = B11(rMZ2, cMC2_reg, cMC2_reg)
    Ten454 = B11(rMZ2, cMT2_reg, cMT2_reg)
    Ten455 = B1(rMZ2, cMD2_reg, cMD2_reg)
    Ten456 = B1(rMZ2, cMS2_reg, cMS2_reg)
    Ten457 = B1(rMZ2, cMB2_reg, cMB2_reg)
    Ten458 = B00(rMZ2, cMD2_reg, cMD2_reg)
    Ten459 = B00(rMZ2, cMS2_reg, cMS2_reg)
    Ten460 = B00(rMZ2, cMB2_reg, cMB2_reg)
    Ten461 = B11(rMZ2, cMD2_reg, cMD2_reg)
    Ten462 = B11(rMZ2, cMS2_reg, cMS2_reg)
    Ten463 = B11(rMZ2, cMB2_reg, cMB2_reg)
    Ten464 = B1(rMZ2, cnul, cnul)
    Ten465 = B00(rMZ2, cMH12_reg, cMZ2_reg)
    Ten466 = B00(rMZ2, cnul, cnul)
    Ten467 = B00(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten468 = B11(rMZ2, cnul, cnul)
    Ten469 = B0(rMZ2, cnul, cnul)
    Ten470 = B0(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten471 = DB0(rMZ2, cMW2_reg, cMW2_reg)
    Ten472 = DB0(rMZ2, cMHP2_reg, cMHP2_reg)
    Ten473 = DB0(rMZ2, cME2_reg, cME2_reg)
    Ten474 = DB0(rMZ2, cMM2_reg, cMM2_reg)
    Ten475 = DB0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten476 = DB0(rMZ2, cMU2_reg, cMU2_reg)
    Ten477 = DB0(rMZ2, cMC2_reg, cMC2_reg)
    Ten478 = DB0(rMZ2, cMT2_reg, cMT2_reg)
    Ten479 = DB0(rMZ2, cMD2_reg, cMD2_reg)
    Ten480 = DB0(rMZ2, cMS2_reg, cMS2_reg)
    Ten481 = DB0(rMZ2, cMB2_reg, cMB2_reg)
    Ten482 = DB0(rMZ2, cnul, cnul)
    Ten483 = DB0(rMZ2, cMH12_reg, cMZ2_reg)
    Ten484 = B0(rMW2, cnul, cMW2_reg)
    Ten485 = B1(rMW2, cnul, cMW2_reg)
    Ten486 = B00(rMW2, cnul, cMW2_reg)
    Ten487 = B11(rMW2, cnul, cMW2_reg)
    Ten488 = B0(rMW2, cMW2_reg, cMZ2_reg)
    Ten489 = B0(rMW2, cMH12_reg, cMW2_reg)
    Ten490 = B1(rMW2, cMW2_reg, cMZ2_reg)
    Ten491 = B1(rMW2, cnul, cME2_reg)
    Ten492 = B1(rMW2, cnul, cMM2_reg)
    Ten493 = B1(rMW2, cnul, cMTA2_reg)
    Ten494 = B1(rMW2, cMD2_reg, cMU2_reg)
    Ten495 = B1(rMW2, cMC2_reg, cMS2_reg)
    Ten496 = B1(rMW2, cMB2_reg, cMT2_reg)
    Ten497 = B00(rMW2, cMW2_reg, cMZ2_reg)
    Ten498 = B00(rMW2, cnul, cME2_reg)
    Ten499 = B00(rMW2, cnul, cMM2_reg)
    Ten500 = B00(rMW2, cnul, cMTA2_reg)
    Ten501 = B00(rMW2, cMH12_reg, cMW2_reg)
    Ten502 = B00(rMW2, cMD2_reg, cMU2_reg)
    Ten503 = B00(rMW2, cMC2_reg, cMS2_reg)
    Ten504 = B00(rMW2, cMB2_reg, cMT2_reg)
    Ten505 = B00(rMW2, cMHP2_reg, cMHP2_reg)
    Ten506 = B11(rMW2, cMW2_reg, cMZ2_reg)
    Ten507 = B11(rMW2, cnul, cME2_reg)
    Ten508 = B11(rMW2, cnul, cMM2_reg)
    Ten509 = B11(rMW2, cnul, cMTA2_reg)
    Ten510 = B11(rMW2, cMD2_reg, cMU2_reg)
    Ten511 = B11(rMW2, cMC2_reg, cMS2_reg)
    Ten512 = B11(rMW2, cMB2_reg, cMT2_reg)
    Ten513 = B0(rMW2, cnul, cME2_reg)
    Ten514 = B0(rMW2, cnul, cMM2_reg)
    Ten515 = B0(rMW2, cnul, cMTA2_reg)
    Ten516 = B0(rMW2, cMD2_reg, cMU2_reg)
    Ten517 = B0(rMW2, cMC2_reg, cMS2_reg)
    Ten518 = B0(rMW2, cMB2_reg, cMT2_reg)
    Ten519 = B0(rMW2, cMHP2_reg, cMHP2_reg)
    Ten520 = DB0(rMW2, cMW2_reg, cMZ2_reg)
    Ten521 = DB0(rMW2, cnul, cMW2_reg)
    Ten522 = DB0(rMW2, cnul, cME2_reg)
    Ten523 = DB0(rMW2, cnul, cMM2_reg)
    Ten524 = DB0(rMW2, cnul, cMTA2_reg)
    Ten525 = DB0(rMW2, cMD2_reg, cMU2_reg)
    Ten526 = DB0(rMW2, cMC2_reg, cMS2_reg)
    Ten527 = DB0(rMW2, cMB2_reg, cMT2_reg)
    Ten528 = DB0(rMW2, cMH12_reg, cMW2_reg)
    Ten529 = DB0(rMW2, cMHP2_reg, cMHP2_reg)
    Ten530 = B00(cnul, cnul, cMW2_reg)
    Ten531 = B00(cnul, cMW2_reg, cMZ2_reg)
    Ten532 = B00(cnul, cnul, cME2_reg)
    Ten533 = B00(cnul, cnul, cMM2_reg)
    Ten534 = B00(cnul, cnul, cMTA2_reg)
    Ten535 = B00(cnul, cMH12_reg, cMW2_reg)
    Ten536 = B00(cnul, cMD2_reg, cMU2_reg)
    Ten537 = B00(cnul, cMC2_reg, cMS2_reg)
    Ten538 = B00(cnul, cMB2_reg, cMT2_reg)
    Ten539 = B0(cnul, cMW2_reg, cMZ2_reg)
    Ten540 = B0(cnul, cnul, cMW2_reg)
    Ten541 = B0(cnul, cMH12_reg, cMW2_reg)
    Ten542 = B0(cnul, cME2_reg, cME2_reg)
    Ten543 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten544 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten545 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten546 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten547 = B0(cnul, cMU2_reg, cMU2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
