!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:0))
    call av(800, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_21])

    allocate(vertices(804)%branch(0:0))
    call av(804, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_21])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_21])

    allocate(vertices(812)%branch(0:0))
    call av(812, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_21])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_25])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_25])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_25])

    allocate(vertices(816)%branch(0:0))
    call av(816, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(818)%branch(0:0))
    call av(818, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_25])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_25])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_25])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_25])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_25])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(827)%branch(0:0))
    call av(827, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_23])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(833)%branch(0:0))
    call av(833, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(836)%branch(0:0))
    call av(836, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(844)%branch(0:0))
    call av(844, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_23])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_23])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(847)%branch(0:0))
    call av(847, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_63])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_63])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_63])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_63])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_63])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_9, nGC_502])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_502, nGC_9])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_502, nGC_9, nGC_9])

    allocate(vertices(855)%branch(0:0))
    call av(855, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_9, nGC_502])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_502, nGC_9])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_502, nGC_9, nGC_9])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_502, nGC_9, nGC_9])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_502, nGC_9])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_502, nGC_9, nGC_9])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_502, nGC_9])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_9, nGC_9, nGC_502])

    allocate(vertices(863)%branch(0:0))
    call av(863, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_310])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_38])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_38])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_310])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_310])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_24])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_24])

    allocate(vertices(870)%branch(0:0))
    call av(870, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_24])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_24])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_24])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_22, nGC_22, nGC_510])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_22, nGC_510, nGC_22])

    allocate(vertices(875)%branch(0:0))
    call av(875, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_510, nGC_22, nGC_22])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_510, nGC_22, nGC_22])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_22, nGC_510, nGC_22])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_75])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_75])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_75])

    allocate(vertices(881)%branch(0:0))
    call av(881, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_75])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_75])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_78])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_78])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_78])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_78])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_78])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_87])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_87])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_87])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_87])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_87])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(899)%branch(0:0))
    call av(899, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(902)%branch(0:0))
    call av(902, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(905)%branch(0:0))
    call av(905, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(910)%branch(0:0))
    call av(910, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(912)%branch(0:0))
    call av(912, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(913)%branch(0:0))
    call av(913, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_54])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_54])

    allocate(vertices(915)%branch(0:0))
    call av(915, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_54])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_43])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_43])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(924)%branch(0:0))
    call av(924, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_43])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_43])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(931)%branch(0:0))
    call av(931, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(932)%branch(0:0))
    call av(932, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(935)%branch(0:0))
    call av(935, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_43])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_43])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_51])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_2312])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_2312])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_51])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_2312])

    allocate(vertices(944)%branch(0:0))
    call av(944, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_2324])

    allocate(vertices(945)%branch(0:0))
    call av(945, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_52])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_2324])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_2324])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_52])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_316])

    allocate(vertices(950)%branch(0:0))
    call av(950, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_37])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_316])

    allocate(vertices(952)%branch(0:0))
    call av(952, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_316])

    allocate(vertices(953)%branch(0:0))
    call av(953, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_37])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(956)%branch(0:0))
    call av(956, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(960)%branch(0:0))
    call av(960, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_13])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(970)%branch(0:0))
    call av(970, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(971)%branch(0:0))
    call av(971, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(974)%branch(0:0))
    call av(974, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(979)%branch(0:0))
    call av(979, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(990)%branch(0:0))
    call av(990, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1001)%branch(0:0))
    call av(1001, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1002)%branch(0:0))
    call av(1002, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1003)%branch(0:0))
    call av(1003, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1004)%branch(0:0))
    call av(1004, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1005)%branch(0:0))
    call av(1005, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1006)%branch(0:0))
    call av(1006, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1007)%branch(0:0))
    call av(1007, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1008)%branch(0:0))
    call av(1008, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1009)%branch(0:0))
    call av(1009, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1010)%branch(0:0))
    call av(1010, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1011)%branch(0:0))
    call av(1011, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1012)%branch(0:0))
    call av(1012, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1013)%branch(0:0))
    call av(1013, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1014)%branch(0:0))
    call av(1014, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1015)%branch(0:0))
    call av(1015, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1016)%branch(0:0))
    call av(1016, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1017)%branch(0:0))
    call av(1017, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1018)%branch(0:0))
    call av(1018, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1019)%branch(0:0))
    call av(1019, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1020)%branch(0:0))
    call av(1020, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1021)%branch(0:0))
    call av(1021, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1022)%branch(0:0))
    call av(1022, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1023)%branch(0:0))
    call av(1023, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1024)%branch(0:0))
    call av(1024, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_60])

    allocate(vertices(1025)%branch(0:0))
    call av(1025, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1026)%branch(0:0))
    call av(1026, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1027)%branch(0:0))
    call av(1027, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1028)%branch(0:0))
    call av(1028, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1029)%branch(0:0))
    call av(1029, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1030)%branch(0:0))
    call av(1030, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1031)%branch(0:0))
    call av(1031, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1032)%branch(0:0))
    call av(1032, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1033)%branch(0:0))
    call av(1033, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1034)%branch(0:0))
    call av(1034, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1035)%branch(0:0))
    call av(1035, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1036)%branch(0:0))
    call av(1036, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1037)%branch(0:0))
    call av(1037, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1038)%branch(0:0))
    call av(1038, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1039)%branch(0:0))
    call av(1039, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1040)%branch(0:0))
    call av(1040, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1041)%branch(0:0))
    call av(1041, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1042)%branch(0:0))
    call av(1042, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1043)%branch(0:0))
    call av(1043, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1044)%branch(0:0))
    call av(1044, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1045)%branch(0:0))
    call av(1045, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1046)%branch(0:0))
    call av(1046, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1047)%branch(0:0))
    call av(1047, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1048)%branch(0:0))
    call av(1048, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_11])

    allocate(vertices(1049)%branch(0:0))
    call av(1049, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1050)%branch(0:0))
    call av(1050, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_11])

    allocate(vertices(1051)%branch(0:0))
    call av(1051, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1052)%branch(0:0))
    call av(1052, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1053)%branch(0:0))
    call av(1053, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1054)%branch(0:0))
    call av(1054, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1055)%branch(0:0))
    call av(1055, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1056)%branch(0:0))
    call av(1056, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1057)%branch(0:0))
    call av(1057, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1058)%branch(0:0))
    call av(1058, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1059)%branch(0:0))
    call av(1059, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1060)%branch(0:0))
    call av(1060, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1061)%branch(0:0))
    call av(1061, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1062)%branch(0:0))
    call av(1062, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1063)%branch(0:0))
    call av(1063, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1064)%branch(0:0))
    call av(1064, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1065)%branch(0:0))
    call av(1065, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1066)%branch(0:0))
    call av(1066, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1067)%branch(0:0))
    call av(1067, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1068)%branch(0:0))
    call av(1068, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1069)%branch(0:0))
    call av(1069, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1070)%branch(0:0))
    call av(1070, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1071)%branch(0:0))
    call av(1071, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_12])

    allocate(vertices(1072)%branch(0:0))
    call av(1072, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1073)%branch(0:0))
    call av(1073, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(1074)%branch(0:0))
    call av(1074, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1075)%branch(0:0))
    call av(1075, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1076)%branch(0:0))
    call av(1076, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1077)%branch(0:0))
    call av(1077, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1078)%branch(0:0))
    call av(1078, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1079)%branch(0:0))
    call av(1079, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1080)%branch(0:0))
    call av(1080, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1081)%branch(0:0))
    call av(1081, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1082)%branch(0:0))
    call av(1082, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1083)%branch(0:0))
    call av(1083, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1084)%branch(0:0))
    call av(1084, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1085)%branch(0:0))
    call av(1085, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1086)%branch(0:0))
    call av(1086, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1087)%branch(0:0))
    call av(1087, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1088)%branch(0:0))
    call av(1088, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1089)%branch(0:0))
    call av(1089, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1090)%branch(0:0))
    call av(1090, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1091)%branch(0:0))
    call av(1091, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1092)%branch(0:0))
    call av(1092, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1093)%branch(0:0))
    call av(1093, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1094)%branch(0:0))
    call av(1094, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1095)%branch(0:0))
    call av(1095, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(1096)%branch(0:0))
    call av(1096, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(1097)%branch(0:0))
    call av(1097, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1098)%branch(0:0))
    call av(1098, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1099)%branch(0:0))
    call av(1099, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1100)%branch(0:0))
    call av(1100, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_60])

    allocate(vertices(1101)%branch(0:0))
    call av(1101, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_60])

    allocate(vertices(1102)%branch(0:0))
    call av(1102, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1103)%branch(0:0))
    call av(1103, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1104)%branch(0:0))
    call av(1104, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1105)%branch(0:0))
    call av(1105, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1106)%branch(0:0))
    call av(1106, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1107)%branch(0:0))
    call av(1107, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1108)%branch(0:0))
    call av(1108, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1109)%branch(0:0))
    call av(1109, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1110)%branch(0:0))
    call av(1110, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1111)%branch(0:0))
    call av(1111, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1112)%branch(0:0))
    call av(1112, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1113)%branch(0:0))
    call av(1113, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1114)%branch(0:0))
    call av(1114, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1115)%branch(0:0))
    call av(1115, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1116)%branch(0:0))
    call av(1116, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1117)%branch(0:0))
    call av(1117, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1118)%branch(0:0))
    call av(1118, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1119)%branch(0:0))
    call av(1119, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1120)%branch(0:0))
    call av(1120, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1121)%branch(0:0))
    call av(1121, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_546, nGC_44])

    allocate(vertices(1122)%branch(0:0))
    call av(1122, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1123)%branch(0:0))
    call av(1123, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_44, nGC_546, nGC_546])

    allocate(vertices(1124)%branch(0:0))
    call av(1124, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_546, nGC_44, nGC_546])

    allocate(vertices(1125)%branch(0:0))
    call av(1125, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1126)%branch(0:0))
    call av(1126, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1127)%branch(0:0))
    call av(1127, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1128)%branch(0:0))
    call av(1128, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1129)%branch(0:0))
    call av(1129, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1130)%branch(0:0))
    call av(1130, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1131)%branch(0:0))
    call av(1131, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1132)%branch(0:0))
    call av(1132, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1133)%branch(0:0))
    call av(1133, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1134)%branch(0:0))
    call av(1134, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1135)%branch(0:0))
    call av(1135, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1136)%branch(0:0))
    call av(1136, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1137)%branch(0:0))
    call av(1137, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1138)%branch(0:0))
    call av(1138, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1139)%branch(0:0))
    call av(1139, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_57])

    allocate(vertices(1140)%branch(0:0))
    call av(1140, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_57])

    allocate(vertices(1141)%branch(0:0))
    call av(1141, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1142)%branch(0:0))
    call av(1142, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1143)%branch(0:0))
    call av(1143, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1144)%branch(0:0))
    call av(1144, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_58])

    allocate(vertices(1145)%branch(0:0))
    call av(1145, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_58])

    allocate(vertices(1146)%branch(0:0))
    call av(1146, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(1147)%branch(0:0))
    call av(1147, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1148)%branch(0:0))
    call av(1148, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1149)%branch(0:0))
    call av(1149, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(1150)%branch(0:0))
    call av(1150, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1151)%branch(0:0))
    call av(1151, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(1152)%branch(0:0))
    call av(1152, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1153)%branch(0:0))
    call av(1153, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(1154)%branch(0:0))
    call av(1154, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1155)%branch(0:0))
    call av(1155, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1156)%branch(0:0))
    call av(1156, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(1157)%branch(0:0))
    call av(1157, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_65])

    allocate(vertices(1158)%branch(0:0))
    call av(1158, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_65])

    allocate(vertices(1159)%branch(0:0))
    call av(1159, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_27, nGC_560])

    allocate(vertices(1160)%branch(0:0))
    call av(1160, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_27, nGC_560])

    allocate(vertices(1161)%branch(0:0))
    call av(1161, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_560, nGC_27])

    allocate(vertices(1162)%branch(0:0))
    call av(1162, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_560, nGC_27, nGC_27])

    allocate(vertices(1163)%branch(0:0))
    call av(1163, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_560, nGC_27])

    allocate(vertices(1164)%branch(0:0))
    call av(1164, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_560, nGC_27, nGC_27])

    allocate(vertices(1165)%branch(0:0))
    call av(1165, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_560, nGC_27, nGC_27])

    allocate(vertices(1166)%branch(0:0))
    call av(1166, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_560, nGC_27])

    allocate(vertices(1167)%branch(0:0))
    call av(1167, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_27, nGC_560])

    allocate(vertices(1168)%branch(0:0))
    call av(1168, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_560, nGC_27, nGC_27])

    allocate(vertices(1169)%branch(0:0))
    call av(1169, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_27, nGC_560, nGC_27])

    allocate(vertices(1170)%branch(0:0))
    call av(1170, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1171)%branch(0:0))
    call av(1171, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1172)%branch(0:0))
    call av(1172, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1173)%branch(0:0))
    call av(1173, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1174)%branch(0:0))
    call av(1174, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1175)%branch(0:0))
    call av(1175, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1176)%branch(0:0))
    call av(1176, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1177)%branch(0:0))
    call av(1177, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1178)%branch(0:0))
    call av(1178, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1179)%branch(0:0))
    call av(1179, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1180)%branch(0:0))
    call av(1180, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1181)%branch(0:0))
    call av(1181, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1182)%branch(0:0))
    call av(1182, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1183)%branch(0:0))
    call av(1183, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1184)%branch(0:0))
    call av(1184, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_8, nGC_8])

    allocate(vertices(1185)%branch(0:0))
    call av(1185, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1186)%branch(0:0))
    call av(1186, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1187)%branch(0:0))
    call av(1187, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1188)%branch(0:0))
    call av(1188, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1189)%branch(0:0))
    call av(1189, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1190)%branch(0:0))
    call av(1190, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1191)%branch(0:0))
    call av(1191, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1192)%branch(0:0))
    call av(1192, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1193)%branch(0:0))
    call av(1193, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1194)%branch(0:0))
    call av(1194, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1195)%branch(0:0))
    call av(1195, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1196)%branch(0:0))
    call av(1196, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1197)%branch(0:0))
    call av(1197, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1198)%branch(0:0))
    call av(1198, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1199)%branch(0:0))
    call av(1199, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_6, nGC_6])

    allocate(vertices(1200)%branch(0:0))
    call av(1200, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1201)%branch(0:0))
    call av(1201, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1202)%branch(0:0))
    call av(1202, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1203)%branch(0:0))
    call av(1203, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1204)%branch(0:0))
    call av(1204, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1205)%branch(0:0))
    call av(1205, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1206)%branch(0:0))
    call av(1206, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1207)%branch(0:0))
    call av(1207, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1208)%branch(0:0))
    call av(1208, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1209)%branch(0:0))
    call av(1209, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1210)%branch(0:0))
    call av(1210, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1211)%branch(0:0))
    call av(1211, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1212)%branch(0:0))
    call av(1212, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1213)%branch(0:0))
    call av(1213, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1214)%branch(0:0))
    call av(1214, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_5, nGC_5])

    allocate(vertices(1215)%branch(0:1))
    call av(1215, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1215, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1216)%branch(0:1))
    call av(1216, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1216, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1217)%branch(0:1))
    call av(1217, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1217, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1218)%branch(0:1))
    call av(1218, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1218, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1219)%branch(0:1))
    call av(1219, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1219, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1220)%branch(0:1))
    call av(1220, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1220, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1221)%branch(0:1))
    call av(1221, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1221, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1222)%branch(0:1))
    call av(1222, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1222, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1223)%branch(0:1))
    call av(1223, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1223, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1224)%branch(0:1))
    call av(1224, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1224, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1225)%branch(0:1))
    call av(1225, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1225, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1226)%branch(0:1))
    call av(1226, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1226, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1227)%branch(0:1))
    call av(1227, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1227, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1228)%branch(0:1))
    call av(1228, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1228, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1229)%branch(0:1))
    call av(1229, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1229, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1230)%branch(0:1))
    call av(1230, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1230, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1231)%branch(0:1))
    call av(1231, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1231, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1232)%branch(0:1))
    call av(1232, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1232, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1233)%branch(0:1))
    call av(1233, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1233, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1234)%branch(0:1))
    call av(1234, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1234, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1235)%branch(0:1))
    call av(1235, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1235, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1236)%branch(0:1))
    call av(1236, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1236, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1237)%branch(0:1))
    call av(1237, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1237, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1238)%branch(0:1))
    call av(1238, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1238, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1239)%branch(0:1))
    call av(1239, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1239, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1240)%branch(0:1))
    call av(1240, 0, 28, 6, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1240, 1, 29, 7, 0, VFFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1241)%branch(0:1))
    call av(1241, 0, 30, 6, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1241, 1, 31, 7, 0, VFaF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1242)%branch(0:1))
    call av(1242, 0, 22, 6, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1242, 1, 23, 7, 0, FVFa0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1243)%branch(0:1))
    call av(1243, 0, 26, 6, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1243, 1, 27, 7, 0, FaVF0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1244)%branch(0:1))
    call av(1244, 0, 24, 6, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    call av(1244, 1, 25, 7, 0, FaFV0, 0, [1, 0], [nGC_15, nGC_15])

    allocate(vertices(1245)%branch(0:0))
    call av(1245, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1246)%branch(0:0))
    call av(1246, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1247)%branch(0:0))
    call av(1247, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1248)%branch(0:0))
    call av(1248, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1249)%branch(0:0))
    call av(1249, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1250)%branch(0:0))
    call av(1250, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1251)%branch(0:0))
    call av(1251, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1252)%branch(0:0))
    call av(1252, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1253)%branch(0:0))
    call av(1253, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1254)%branch(0:0))
    call av(1254, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1255)%branch(0:0))
    call av(1255, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1256)%branch(0:0))
    call av(1256, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1257)%branch(0:0))
    call av(1257, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1258)%branch(0:0))
    call av(1258, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1259)%branch(0:0))
    call av(1259, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1260)%branch(0:0))
    call av(1260, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1261)%branch(0:0))
    call av(1261, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1262)%branch(0:0))
    call av(1262, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1263)%branch(0:0))
    call av(1263, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1264)%branch(0:0))
    call av(1264, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1265)%branch(0:0))
    call av(1265, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1266)%branch(0:0))
    call av(1266, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1267)%branch(0:0))
    call av(1267, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1268)%branch(0:0))
    call av(1268, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1269)%branch(0:0))
    call av(1269, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1270)%branch(0:0))
    call av(1270, 0, 17, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1271)%branch(0:0))
    call av(1271, 0, 20, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1272)%branch(0:0))
    call av(1272, 0, 21, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1273)%branch(0:0))
    call av(1273, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1274)%branch(0:0))
    call av(1274, 0, 19, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1275)%branch(0:0))
    call av(1275, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1276)%branch(0:0))
    call av(1276, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1277)%branch(0:0))
    call av(1277, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1278)%branch(0:0))
    call av(1278, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1279)%branch(0:0))
    call av(1279, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1280)%branch(0:0))
    call av(1280, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1281)%branch(0:0))
    call av(1281, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1282)%branch(0:0))
    call av(1282, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1283)%branch(0:0))
    call av(1283, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1284)%branch(0:0))
    call av(1284, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1285)%branch(0:0))
    call av(1285, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1286)%branch(0:0))
    call av(1286, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1287)%branch(0:0))
    call av(1287, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1288)%branch(0:0))
    call av(1288, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1289)%branch(0:0))
    call av(1289, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1290)%branch(0:0))
    call av(1290, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1291)%branch(0:0))
    call av(1291, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1292)%branch(0:0))
    call av(1292, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1293)%branch(0:0))
    call av(1293, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1294)%branch(0:0))
    call av(1294, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1295)%branch(0:0))
    call av(1295, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1296)%branch(0:0))
    call av(1296, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1297)%branch(0:0))
    call av(1297, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1298)%branch(0:0))
    call av(1298, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1299)%branch(0:0))
    call av(1299, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1300)%branch(0:0))
    call av(1300, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1301)%branch(0:0))
    call av(1301, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_34])

    allocate(vertices(1302)%branch(0:0))
    call av(1302, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1303)%branch(0:0))
    call av(1303, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_34])

    allocate(vertices(1304)%branch(0:0))
    call av(1304, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_34])

    allocate(vertices(1305)%branch(0:0))
    call av(1305, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1306)%branch(0:0))
    call av(1306, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1307)%branch(0:0))
    call av(1307, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1308)%branch(0:0))
    call av(1308, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1309)%branch(0:0))
    call av(1309, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1310)%branch(0:0))
    call av(1310, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1311)%branch(0:0))
    call av(1311, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1312)%branch(0:0))
    call av(1312, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1313)%branch(0:0))
    call av(1313, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1314)%branch(0:0))
    call av(1314, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1315)%branch(0:0))
    call av(1315, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1316)%branch(0:0))
    call av(1316, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1317)%branch(0:0))
    call av(1317, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1318)%branch(0:0))
    call av(1318, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1319)%branch(0:0))
    call av(1319, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_632, nGC_634])

    allocate(vertices(1320)%branch(0:0))
    call av(1320, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1321)%branch(0:0))
    call av(1321, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1322)%branch(0:0))
    call av(1322, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1323)%branch(0:0))
    call av(1323, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1324)%branch(0:0))
    call av(1324, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1325)%branch(0:0))
    call av(1325, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1326)%branch(0:0))
    call av(1326, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1327)%branch(0:0))
    call av(1327, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1328)%branch(0:0))
    call av(1328, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1329)%branch(0:0))
    call av(1329, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1330)%branch(0:0))
    call av(1330, 0, 20, 1, 0, VFFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1331)%branch(0:0))
    call av(1331, 0, 21, 1, 0, VFaF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1332)%branch(0:0))
    call av(1332, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1333)%branch(0:0))
    call av(1333, 0, 19, 1, 0, FaVF0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1334)%branch(0:0))
    call av(1334, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_648, nGC_650])

    allocate(vertices(1335)%branch(0:0))
    call av(1335, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1336)%branch(0:0))
    call av(1336, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_53])

    allocate(vertices(1337)%branch(0:0))
    call av(1337, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1338)%branch(0:0))
    call av(1338, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1339)%branch(0:0))
    call av(1339, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1340)%branch(0:0))
    call av(1340, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1341)%branch(0:0))
    call av(1341, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1342)%branch(0:0))
    call av(1342, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1343)%branch(0:0))
    call av(1343, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_53])

    allocate(vertices(1344)%branch(0:0))
    call av(1344, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1345)%branch(0:0))
    call av(1345, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1346)%branch(0:0))
    call av(1346, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_53])

    allocate(vertices(1347)%branch(0:0))
    call av(1347, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1348)%branch(0:0))
    call av(1348, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_53])

    allocate(vertices(1349)%branch(0:0))
    call av(1349, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_53])

    allocate(vertices(1350)%branch(0:0))
    call av(1350, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1351)%branch(0:0))
    call av(1351, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1352)%branch(0:0))
    call av(1352, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1353)%branch(0:0))
    call av(1353, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1354)%branch(0:0))
    call av(1354, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1355)%branch(0:0))
    call av(1355, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1356)%branch(0:0))
    call av(1356, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1357)%branch(0:0))
    call av(1357, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1358)%branch(0:0))
    call av(1358, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1359)%branch(0:0))
    call av(1359, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1360)%branch(0:0))
    call av(1360, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1361)%branch(0:0))
    call av(1361, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1362)%branch(0:0))
    call av(1362, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1363)%branch(0:0))
    call av(1363, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(1364)%branch(0:0))
    call av(1364, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_670, nGC_672])

    allocate(vertices(0)%branchCT(0:0))
    call avCT(0, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6182])

    allocate(vertices(4)%branchCT(0:0))
    call avCT(4, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(9)%branchCT(0:0))
    call avCT(9, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4515])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(11)%branchCT(0:0))
    call avCT(11, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6207])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6211])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(19)%branchCT(0:0))
    call avCT(19, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6226])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6248])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6252])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6256])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6260])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6264])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(26)%branchCT(0:0))
    call avCT(26, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4524])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6264])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4525])

    allocate(vertices(29)%branchCT(0:0))
    call avCT(29, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_6275])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6280])

    allocate(vertices(31)%branchCT(0:0))
    call avCT(31, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6285])

    allocate(vertices(32)%branchCT(0:0))
    call avCT(32, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4528])

    allocate(vertices(33)%branchCT(0:0))
    call avCT(33, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6290])

    allocate(vertices(34)%branchCT(0:0))
    call avCT(34, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4524])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4530])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_6275])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6301])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6306])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4528])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6311])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4531])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6290])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_4531])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_6311])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_6320])

    allocate(vertices(47)%branchCT(0:1))
    call avCT(47, 0, 2, 2, 0, UaUV0, 0, [3, 0], [nGC_6324])

    call avCT(47, 1, 3, 3, 0, UaUV0, 0, [3, 0], [nGC_6324])

    allocate(vertices(48)%branchCT(0:1))
    call avCT(48, 0, 2, 2, 0, VVV0, 0, [3, 0], [nGC_6329])

    call avCT(48, 1, 3, 3, 0, VVV0, 0, [3, 0], [nGC_6329])

    allocate(vertices(49)%branchCT(0:5))
    call avCT(49, 0, 4, 4, 0, VVVV0, 0, [4, 0], [nGC_6334, nGC_6335, nGC_6334])

    call avCT(49, 1, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_6338, nGC_6339, nGC_6339])

    call avCT(49, 2, 6, 4, 0, VVVV0, 0, [4, 0], [nGC_6334, nGC_6335, nGC_6334])

    call avCT(49, 3, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_6338, nGC_6339, nGC_6339])

    call avCT(49, 4, 8, 4, 0, VVVV0, 0, [4, 0], [nGC_6334, nGC_6334, nGC_6335])

    call avCT(49, 5, 9, 4, 0, VVVV0, 0, [4, 0], [nGC_6334, nGC_6334, nGC_6335])

    allocate(vertices(50)%branchCT(0:1))
    call avCT(50, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(50, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(51)%branchCT(0:1))
    call avCT(51, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(51, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(52)%branchCT(0:1))
    call avCT(52, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(52, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(53)%branchCT(0:1))
    call avCT(53, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6390, nGC_6391])

    call avCT(53, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6392, nGC_6393])

    allocate(vertices(54)%branchCT(0:1))
    call avCT(54, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6400, nGC_6401])

    call avCT(54, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6402, nGC_6403])

    allocate(vertices(55)%branchCT(0:1))
    call avCT(55, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6410, nGC_6411])

    call avCT(55, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6412, nGC_6413])

    allocate(vertices(56)%branchCT(0:1))
    call avCT(56, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6421, nGC_6421])

    call avCT(56, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6423, nGC_6423])

    allocate(vertices(57)%branchCT(0:1))
    call avCT(57, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6431, nGC_6431])

    call avCT(57, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6433, nGC_6433])

    allocate(vertices(58)%branchCT(0:1))
    call avCT(58, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6441, nGC_6441])

    call avCT(58, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6443, nGC_6443])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_6446])

    allocate(vertices(60)%branchCT(0:0))
    call avCT(60, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_6449])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_6452])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(67)%branchCT(0:0))
    call avCT(67, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(68)%branchCT(0:1))
    call avCT(68, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(68, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(69)%branchCT(0:1))
    call avCT(69, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(69, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(70)%branchCT(0:1))
    call avCT(70, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(70, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(71)%branchCT(0:1))
    call avCT(71, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6516, nGC_6517])

    call avCT(71, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6518, nGC_6519])

    allocate(vertices(72)%branchCT(0:1))
    call avCT(72, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6526, nGC_6527])

    call avCT(72, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6528, nGC_6529])

    allocate(vertices(73)%branchCT(0:1))
    call avCT(73, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6536, nGC_6537])

    call avCT(73, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6538, nGC_6539])

    allocate(vertices(74)%branchCT(0:1))
    call avCT(74, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6548, nGC_6548])

    call avCT(74, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6549, nGC_6549])

    allocate(vertices(75)%branchCT(0:1))
    call avCT(75, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6557, nGC_6557])

    call avCT(75, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6559, nGC_6559])

    allocate(vertices(76)%branchCT(0:1))
    call avCT(76, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6568, nGC_6568])

    call avCT(76, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6569, nGC_6569])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(964)%branchCT(0:0))
    call avCT(964, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(988)%branchCT(0:0))
    call avCT(988, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(1011)%branchCT(0:0))
    call avCT(1011, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(80)%branchCT(0:0))
    call avCT(80, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6598])

    allocate(vertices(1024)%branchCT(0:0))
    call avCT(1024, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6603])

    allocate(vertices(81)%branchCT(0:0))
    call avCT(81, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6606])

    allocate(vertices(82)%branchCT(0:0))
    call avCT(82, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6609])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6612])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6616])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6620])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6623])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(1083)%branchCT(0:0))
    call avCT(1083, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(89)%branchCT(0:0))
    call avCT(89, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6598])

    allocate(vertices(1100)%branchCT(0:0))
    call avCT(1100, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6603])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6606])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6656])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6659])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(95)%branchCT(0:0))
    call avCT(95, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6667])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6670])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6673])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6677])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6682, nGC_6682, nGC_6683])

    allocate(vertices(1107)%branchCT(0:0))
    call avCT(1107, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6690, nGC_6690, nGC_6691&
    ])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6620])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6616])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6623])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6702, nGC_6702, nGC_6703])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_6446])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_6449])

    allocate(vertices(105)%branchCT(0:0))
    call avCT(105, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_6452])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(121)%branchCT(0:0))
    call avCT(121, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6717])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6725])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6728])

    allocate(vertices(1365)%branchCT(0:0))
    call avCT(1365, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_6729])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(114)%branchCT(0:0))
    call avCT(114, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6603])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6598])

    allocate(vertices(115)%branchCT(0:0))
    call avCT(115, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(695)%branchCT(0:0))
    call avCT(695, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(118)%branchCT(0:0))
    call avCT(118, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6603])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6598])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6691, nGC_6690, nGC_6690])

    allocate(vertices(1164)%branchCT(0:0))
    call avCT(1164, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6790, nGC_6791, nGC_6791&
    ])

    allocate(vertices(858)%branchCT(0:0))
    call avCT(858, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6683, nGC_6682, nGC_6682])

    allocate(vertices(120)%branchCT(0:0))
    call avCT(120, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6797])

    allocate(vertices(1366)%branchCT(0:0))
    call avCT(1366, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6798])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6801])

    allocate(vertices(1367)%branchCT(0:0))
    call avCT(1367, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6798])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6806])

    allocate(vertices(1368)%branchCT(0:0))
    call avCT(1368, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_6807])

    allocate(vertices(125)%branchCT(0:0))
    call avCT(125, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6791, nGC_6791, nGC_6790])

    allocate(vertices(1111)%branchCT(0:0))
    call avCT(1111, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_6690, nGC_6690, nGC_6691&
    ])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6823, nGC_6824])

    allocate(vertices(162)%branchCT(0:0))
    call avCT(162, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6834, nGC_6835])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6843, nGC_6844])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6853, nGC_6854])

    allocate(vertices(128)%branchCT(0:0))
    call avCT(128, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6862, nGC_6863])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_6872, nGC_6873])

    allocate(vertices(129)%branchCT(0:1))
    call avCT(129, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6877, nGC_6874])

    call avCT(129, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6884, nGC_6885])

    allocate(vertices(153)%branchCT(0:1))
    call avCT(153, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6898, nGC_6899])

    call avCT(153, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6901, nGC_6900])

    allocate(vertices(130)%branchCT(0:1))
    call avCT(130, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6905, nGC_6902])

    call avCT(130, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6911, nGC_6912])

    allocate(vertices(154)%branchCT(0:1))
    call avCT(154, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6924, nGC_6925])

    call avCT(154, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6927, nGC_6926])

    allocate(vertices(131)%branchCT(0:1))
    call avCT(131, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6931, nGC_6928])

    call avCT(131, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6937, nGC_6938])

    allocate(vertices(155)%branchCT(0:1))
    call avCT(155, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6950, nGC_6951])

    call avCT(155, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6953, nGC_6952])

    allocate(vertices(132)%branchCT(0:1))
    call avCT(132, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6964, nGC_6965])

    call avCT(132, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6957, nGC_6954])

    allocate(vertices(156)%branchCT(0:1))
    call avCT(156, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6977, nGC_6978])

    call avCT(156, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6980, nGC_6979])

    allocate(vertices(133)%branchCT(0:1))
    call avCT(133, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6984, nGC_6981])

    call avCT(133, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6990, nGC_6991])

    allocate(vertices(157)%branchCT(0:1))
    call avCT(157, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7003, nGC_7004])

    call avCT(157, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7006, nGC_7005])

    allocate(vertices(134)%branchCT(0:1))
    call avCT(134, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7016, nGC_7017])

    call avCT(134, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7010, nGC_7007])

    allocate(vertices(158)%branchCT(0:1))
    call avCT(158, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7029, nGC_7030])

    call avCT(158, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7032, nGC_7031])

    allocate(vertices(135)%branchCT(0:3))
    call avCT(135, 0, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7040, nGC_7041])

    call avCT(135, 1, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7036, nGC_7034])

    call avCT(135, 2, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7040, nGC_7041])

    call avCT(135, 3, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7036, nGC_7034])

    allocate(vertices(136)%branchCT(0:3))
    call avCT(136, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7051, nGC_7049])

    call avCT(136, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7054, nGC_7055])

    call avCT(136, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7051, nGC_7049])

    call avCT(136, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7054, nGC_7055])

    allocate(vertices(137)%branchCT(0:3))
    call avCT(137, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7065, nGC_7063])

    call avCT(137, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7068, nGC_7069])

    call avCT(137, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7065, nGC_7063])

    call avCT(137, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7068, nGC_7069])

    allocate(vertices(138)%branchCT(0:3))
    call avCT(138, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7079, nGC_7077])

    call avCT(138, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7082, nGC_7083])

    call avCT(138, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7079, nGC_7077])

    call avCT(138, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7082, nGC_7083])

    allocate(vertices(139)%branchCT(0:3))
    call avCT(139, 0, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7093, nGC_7091])

    call avCT(139, 1, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7096, nGC_7097])

    call avCT(139, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7093, nGC_7091])

    call avCT(139, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7096, nGC_7097])

    allocate(vertices(140)%branchCT(0:3))
    call avCT(140, 0, 11, 6, 0, FFaV0, 0, [3, 0], [nGC_7110, nGC_7111])

    call avCT(140, 1, 11, 6, 0, FFaV0, 0, [1, 2], [nGC_7107, nGC_7105])

    call avCT(140, 2, 12, 7, 0, FFaV0, 0, [1, 2], [nGC_7107, nGC_7105])

    call avCT(140, 3, 12, 7, 0, FFaV0, 0, [3, 0], [nGC_7110, nGC_7111])

    allocate(vertices(141)%branchCT(0:1))
    call avCT(141, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7121])

    call avCT(141, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7120])

    allocate(vertices(142)%branchCT(0:1))
    call avCT(142, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7125])

    call avCT(142, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7124])

    allocate(vertices(143)%branchCT(0:1))
    call avCT(143, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7129])

    call avCT(143, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7128])

    allocate(vertices(144)%branchCT(0:1))
    call avCT(144, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7121])

    call avCT(144, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7120])

    allocate(vertices(145)%branchCT(0:1))
    call avCT(145, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7125])

    call avCT(145, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7124])

    allocate(vertices(146)%branchCT(0:1))
    call avCT(146, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7129])

    call avCT(146, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7128])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7141])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7144])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7147])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7141])

    allocate(vertices(151)%branchCT(0:0))
    call avCT(151, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7144])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7147])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7156])

    allocate(vertices(1369)%branchCT(0:0))
    call avCT(1369, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7157])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7160])

    allocate(vertices(1370)%branchCT(0:0))
    call avCT(1370, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7157])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7164])

    allocate(vertices(1371)%branchCT(0:0))
    call avCT(1371, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_7157])

    allocate(vertices(1372)%branchCT(0:0))
    call avCT(1372, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_51_H1, nGC_7169])

    allocate(vertices(1373)%branchCT(0:0))
    call avCT(1373, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_7175, nGC_7173, nGC_7174])

    allocate(vertices(1374)%branchCT(0:0))
    call avCT(1374, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_7180, nGC_7179])

    allocate(vertices(1375)%branchCT(0:0))
    call avCT(1375, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_7185, nGC_7184])

    allocate(vertices(1376)%branchCT(0:0))
    call avCT(1376, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_TS_GC_61_H1])

    allocate(vertices(1377)%branchCT(0:0))
    call avCT(1377, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_TS_GC_61_H1])

    allocate(vertices(1378)%branchCT(0:0))
    call avCT(1378, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_7192, nGC_7191])

    allocate(vertices(1379)%branchCT(0:1))
    call avCT(1379, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7202, nGC_7200, nGC_7204&
    , nGC_7204])

    call avCT(1379, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7203, nGC_7201, nGC_7206&
    , nGC_7206])

    allocate(vertices(1380)%branchCT(0:1))
    call avCT(1380, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7216, nGC_7214, nGC_7218&
    , nGC_7218])

    call avCT(1380, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7217, nGC_7215, nGC_7220&
    , nGC_7220])

    allocate(vertices(1381)%branchCT(0:1))
    call avCT(1381, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7230, nGC_7228, nGC_7232&
    , nGC_7232])

    call avCT(1381, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7231, nGC_7229, nGC_7234&
    , nGC_7234])

    allocate(vertices(1382)%branchCT(0:0))
    call avCT(1382, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_7240, nGC_7239, nGC_7242&
    , nGC_7242])

    allocate(vertices(1383)%branchCT(0:0))
    call avCT(1383, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_7248, nGC_7247, nGC_7250&
    , nGC_7250])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_7256, nGC_7255, nGC_7258&
    , nGC_7258])

    allocate(vertices(1385)%branchCT(0:1))
    call avCT(1385, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7268, nGC_7266, nGC_7270&
    , nGC_7270])

    call avCT(1385, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7269, nGC_7267, nGC_7272&
    , nGC_7272])

    allocate(vertices(1386)%branchCT(0:1))
    call avCT(1386, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7282, nGC_7280, nGC_7284&
    , nGC_7284])

    call avCT(1386, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7283, nGC_7281, nGC_7286&
    , nGC_7286])

    allocate(vertices(1387)%branchCT(0:1))
    call avCT(1387, 0, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7296, nGC_7294, nGC_7298&
    , nGC_7298])

    call avCT(1387, 1, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7297, nGC_7295, nGC_7300&
    , nGC_7300])

    allocate(vertices(1388)%branchCT(0:0))
    call avCT(1388, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_30_H1, nGC_7304])

    allocate(vertices(1389)%branchCT(0:0))
    call avCT(1389, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_TS_GC_29_H1, nGC_7308])

    allocate(vertices(1390)%branchCT(0:0))
    call avCT(1390, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_7314, nGC_7312, nGC_7313])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_7185, nGC_7184])

    allocate(vertices(1392)%branchCT(0:0))
    call avCT(1392, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_7319])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_7320])

    allocate(vertices(1394)%branchCT(0:0))
    call avCT(1394, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_7321])

    allocate(vertices(1395)%branchCT(0:0))
    call avCT(1395, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_7323, nGC_7322])

    allocate(vertices(1396)%branchCT(0:0))
    call avCT(1396, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_7324, nGC_7326, nGC_7324 &
    , nGC_7326, nGC_7325])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_7326, nGC_7324, nGC_7326 &
    , nGC_7324, nGC_7325])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_7314, nGC_7312, nGC_7313])

    allocate(vertices(1399)%branchCT(0:1))
    call avCT(1399, 0, 15, 1, 0, VV2, 0, [2, 0], [nGC_7335, nGC_7334])

    call avCT(1399, 1, 16, 8, 0, VV2, 0, [2, 0], [nGC_7335, nGC_7334])

    allocate(vertices(1400)%branchCT(0:0))
    call avCT(1400, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_7337])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(168)%branchCT(0:0))
    call avCT(168, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

  end subroutine fill_vertices_mdl2
end module vertices_info2
