!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6174])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6179])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(188)%branchCT(0:0))
    call avCT(188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(219)%branchCT(0:0))
    call avCT(219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6185])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6190])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6193])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6196])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4516])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4517])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_6202])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6211])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6211])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6215])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(289)%branchCT(0:0))
    call avCT(289, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_6219])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6230])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6230])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(896)%branchCT(0:0))
    call avCT(896, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(902)%branchCT(0:0))
    call avCT(902, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(908)%branchCT(0:0))
    call avCT(908, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(909)%branchCT(0:0))
    call avCT(909, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(910)%branchCT(0:0))
    call avCT(910, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6235])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6235])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(308)%branchCT(0:0))
    call avCT(308, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6239])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6239])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(921)%branchCT(0:0))
    call avCT(921, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(923)%branchCT(0:0))
    call avCT(923, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(924)%branchCT(0:0))
    call avCT(924, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(930)%branchCT(0:0))
    call avCT(930, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(931)%branchCT(0:0))
    call avCT(931, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(932)%branchCT(0:0))
    call avCT(932, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(933)%branchCT(0:0))
    call avCT(933, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(934)%branchCT(0:0))
    call avCT(934, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(935)%branchCT(0:0))
    call avCT(935, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(936)%branchCT(0:0))
    call avCT(936, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(937)%branchCT(0:0))
    call avCT(937, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6244])

    allocate(vertices(938)%branchCT(0:0))
    call avCT(938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6244])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6248])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7840])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7840])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6248])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7840])

    allocate(vertices(944)%branchCT(0:0))
    call avCT(944, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7853])

    allocate(vertices(945)%branchCT(0:0))
    call avCT(945, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6252])

    allocate(vertices(946)%branchCT(0:0))
    call avCT(946, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7853])

    allocate(vertices(947)%branchCT(0:0))
    call avCT(947, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7853])

    allocate(vertices(948)%branchCT(0:0))
    call avCT(948, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6252])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6256])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7872])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7872])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6256])

    allocate(vertices(324)%branchCT(0:0))
    call avCT(324, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7872])

    allocate(vertices(949)%branchCT(0:0))
    call avCT(949, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_7885])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6260])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_7885])

    allocate(vertices(952)%branchCT(0:0))
    call avCT(952, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_7885])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6260])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6264])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6264])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6264])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6264])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6264])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6268])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6268])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6268])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6268])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4524])

    allocate(vertices(336)%branchCT(0:0))
    call avCT(336, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4524])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4524])

    allocate(vertices(338)%branchCT(0:0))
    call avCT(338, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4524])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4524])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6264])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6264])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6264])

    allocate(vertices(343)%branchCT(0:0))
    call avCT(343, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6264])

    allocate(vertices(344)%branchCT(0:0))
    call avCT(344, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6264])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4525])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4525])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4525])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4525])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4525])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_6275])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_6275])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_6275])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_6275])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_6275])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6280])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6280])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6280])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6280])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6280])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6285])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6285])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6285])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6285])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6285])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4528])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4528])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4528])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4528])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4528])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6290])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6290])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6290])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6290])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6290])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4524])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4524])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4524])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4524])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4524])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6268])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6268])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6268])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6268])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6268])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4530])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4530])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4530])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4530])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4530])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_6275])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_6275])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_6275])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_6275])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_6275])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6301])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6301])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6301])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6301])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6301])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6306])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6306])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6306])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6306])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6306])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4528])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4528])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4528])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4528])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4528])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6311])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6311])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6311])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6311])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6311])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4531])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4531])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4531])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4531])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4531])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6290])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6290])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6290])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6290])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6290])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_4531])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_4531])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_4531])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_4531])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_4531])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_6311])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_6311])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_6311])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_6311])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_6311])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_6320])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_6320])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_6320])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_6320])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_6320])

    allocate(vertices(440)%branchCT(0:1))
    call avCT(440, 0, 2, 3, 0, UUaV0, 0, [3, 0], [nGC_6324])

    call avCT(440, 1, 3, 2, 0, UUaV0, 0, [3, 0], [nGC_6324])

    allocate(vertices(441)%branchCT(0:1))
    call avCT(441, 0, 2, 2, 0, UVUa0, 0, [3, 0], [nGC_6324])

    call avCT(441, 1, 3, 3, 0, UVUa0, 0, [3, 0], [nGC_6324])

    allocate(vertices(442)%branchCT(0:1))
    call avCT(442, 0, 2, 3, 0, UaVU0, 0, [3, 0], [nGC_6324])

    call avCT(442, 1, 3, 2, 0, UaVU0, 0, [3, 0], [nGC_6324])

    allocate(vertices(443)%branchCT(0:1))
    call avCT(443, 0, 2, 3, 0, VUUa0, 0, [3, 0], [nGC_6324])

    call avCT(443, 1, 3, 2, 0, VUUa0, 0, [3, 0], [nGC_6324])

    allocate(vertices(444)%branchCT(0:1))
    call avCT(444, 0, 2, 2, 0, VUaU0, 0, [3, 0], [nGC_6324])

    call avCT(444, 1, 3, 3, 0, VUaU0, 0, [3, 0], [nGC_6324])

    allocate(vertices(445)%branchCT(0:1))
    call avCT(445, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(445, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(446)%branchCT(0:1))
    call avCT(446, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(446, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(447)%branchCT(0:1))
    call avCT(447, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(447, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(448)%branchCT(0:1))
    call avCT(448, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(448, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(449)%branchCT(0:1))
    call avCT(449, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6356, nGC_6357])

    call avCT(449, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6358, nGC_6359])

    allocate(vertices(450)%branchCT(0:1))
    call avCT(450, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(450, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(451)%branchCT(0:1))
    call avCT(451, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(451, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(452)%branchCT(0:1))
    call avCT(452, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(452, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(453)%branchCT(0:1))
    call avCT(453, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(453, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(454)%branchCT(0:1))
    call avCT(454, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6368, nGC_6369])

    call avCT(454, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6370, nGC_6371])

    allocate(vertices(455)%branchCT(0:1))
    call avCT(455, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(455, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(456)%branchCT(0:1))
    call avCT(456, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(456, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(457)%branchCT(0:1))
    call avCT(457, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(457, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(458)%branchCT(0:1))
    call avCT(458, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(458, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(459)%branchCT(0:1))
    call avCT(459, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6380, nGC_6381])

    call avCT(459, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6382, nGC_6383])

    allocate(vertices(460)%branchCT(0:1))
    call avCT(460, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6390, nGC_6391])

    call avCT(460, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6392, nGC_6393])

    allocate(vertices(461)%branchCT(0:1))
    call avCT(461, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6390, nGC_6391])

    call avCT(461, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6392, nGC_6393])

    allocate(vertices(462)%branchCT(0:1))
    call avCT(462, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6392, nGC_6393])

    call avCT(462, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6390, nGC_6391])

    allocate(vertices(463)%branchCT(0:1))
    call avCT(463, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6392, nGC_6393])

    call avCT(463, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6390, nGC_6391])

    allocate(vertices(464)%branchCT(0:1))
    call avCT(464, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6390, nGC_6391])

    call avCT(464, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6392, nGC_6393])

    allocate(vertices(465)%branchCT(0:1))
    call avCT(465, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6402, nGC_6403])

    call avCT(465, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6400, nGC_6401])

    allocate(vertices(466)%branchCT(0:1))
    call avCT(466, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6402, nGC_6403])

    call avCT(466, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6400, nGC_6401])

    allocate(vertices(467)%branchCT(0:1))
    call avCT(467, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6400, nGC_6401])

    call avCT(467, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6402, nGC_6403])

    allocate(vertices(468)%branchCT(0:1))
    call avCT(468, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6402, nGC_6403])

    call avCT(468, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6400, nGC_6401])

    allocate(vertices(469)%branchCT(0:1))
    call avCT(469, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6402, nGC_6403])

    call avCT(469, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6400, nGC_6401])

    allocate(vertices(470)%branchCT(0:1))
    call avCT(470, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6410, nGC_6411])

    call avCT(470, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6412, nGC_6413])

    allocate(vertices(471)%branchCT(0:1))
    call avCT(471, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6412, nGC_6413])

    call avCT(471, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6410, nGC_6411])

    allocate(vertices(472)%branchCT(0:1))
    call avCT(472, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6410, nGC_6411])

    call avCT(472, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6412, nGC_6413])

    allocate(vertices(473)%branchCT(0:1))
    call avCT(473, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6410, nGC_6411])

    call avCT(473, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6412, nGC_6413])

    allocate(vertices(474)%branchCT(0:1))
    call avCT(474, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6410, nGC_6411])

    call avCT(474, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6412, nGC_6413])

    allocate(vertices(475)%branchCT(0:1))
    call avCT(475, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6423, nGC_6423])

    call avCT(475, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6421, nGC_6421])

    allocate(vertices(476)%branchCT(0:1))
    call avCT(476, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6421, nGC_6421])

    call avCT(476, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6423, nGC_6423])

    allocate(vertices(477)%branchCT(0:1))
    call avCT(477, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6421, nGC_6421])

    call avCT(477, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6423, nGC_6423])

    allocate(vertices(478)%branchCT(0:1))
    call avCT(478, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6421, nGC_6421])

    call avCT(478, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6423, nGC_6423])

    allocate(vertices(479)%branchCT(0:1))
    call avCT(479, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6421, nGC_6421])

    call avCT(479, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6423, nGC_6423])

    allocate(vertices(480)%branchCT(0:1))
    call avCT(480, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6433, nGC_6433])

    call avCT(480, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6431, nGC_6431])

    allocate(vertices(481)%branchCT(0:1))
    call avCT(481, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6431, nGC_6431])

    call avCT(481, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6433, nGC_6433])

    allocate(vertices(482)%branchCT(0:1))
    call avCT(482, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6433, nGC_6433])

    call avCT(482, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6431, nGC_6431])

    allocate(vertices(483)%branchCT(0:1))
    call avCT(483, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6431, nGC_6431])

    call avCT(483, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6433, nGC_6433])

    allocate(vertices(484)%branchCT(0:1))
    call avCT(484, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6431, nGC_6431])

    call avCT(484, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6433, nGC_6433])

    allocate(vertices(485)%branchCT(0:1))
    call avCT(485, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6443, nGC_6443])

    call avCT(485, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6441, nGC_6441])

    allocate(vertices(486)%branchCT(0:1))
    call avCT(486, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6441, nGC_6441])

    call avCT(486, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6443, nGC_6443])

    allocate(vertices(487)%branchCT(0:1))
    call avCT(487, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6441, nGC_6441])

    call avCT(487, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6443, nGC_6443])

    allocate(vertices(488)%branchCT(0:1))
    call avCT(488, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6441, nGC_6441])

    call avCT(488, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6443, nGC_6443])

    allocate(vertices(489)%branchCT(0:1))
    call avCT(489, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6443, nGC_6443])

    call avCT(489, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6441, nGC_6441])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_6446])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_6446])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_6446])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_6446])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_6446])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_6449])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_6449])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_6449])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_6449])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_6449])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_6452])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_6452])

    allocate(vertices(502)%branchCT(0:0))
    call avCT(502, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_6452])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_6452])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_6452])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6456, nGC_6457])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6461, nGC_6462])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6466, nGC_6467])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6473, nGC_6473])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6479, nGC_6479])

    allocate(vertices(530)%branchCT(0:0))
    call avCT(530, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_6485, nGC_6485])

    allocate(vertices(535)%branchCT(0:1))
    call avCT(535, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(535, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(536)%branchCT(0:1))
    call avCT(536, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(536, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(537)%branchCT(0:1))
    call avCT(537, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(537, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(538)%branchCT(0:1))
    call avCT(538, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(538, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(539)%branchCT(0:1))
    call avCT(539, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6357, nGC_6356])

    call avCT(539, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6359, nGC_6358])

    allocate(vertices(540)%branchCT(0:1))
    call avCT(540, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(540, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(541)%branchCT(0:1))
    call avCT(541, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(541, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(542)%branchCT(0:1))
    call avCT(542, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(542, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(543)%branchCT(0:1))
    call avCT(543, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(543, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(544)%branchCT(0:1))
    call avCT(544, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6369, nGC_6368])

    call avCT(544, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6371, nGC_6370])

    allocate(vertices(545)%branchCT(0:1))
    call avCT(545, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(545, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(546)%branchCT(0:1))
    call avCT(546, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(546, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(547)%branchCT(0:1))
    call avCT(547, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(547, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(548)%branchCT(0:1))
    call avCT(548, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(548, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(549)%branchCT(0:1))
    call avCT(549, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6381, nGC_6380])

    call avCT(549, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6383, nGC_6382])

    allocate(vertices(550)%branchCT(0:1))
    call avCT(550, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6516, nGC_6517])

    call avCT(550, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6518, nGC_6519])

    allocate(vertices(551)%branchCT(0:1))
    call avCT(551, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6516, nGC_6517])

    call avCT(551, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6518, nGC_6519])

    allocate(vertices(552)%branchCT(0:1))
    call avCT(552, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6516, nGC_6517])

    call avCT(552, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6518, nGC_6519])

    allocate(vertices(553)%branchCT(0:1))
    call avCT(553, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6518, nGC_6519])

    call avCT(553, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6516, nGC_6517])

    allocate(vertices(554)%branchCT(0:1))
    call avCT(554, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6518, nGC_6519])

    call avCT(554, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6516, nGC_6517])

    allocate(vertices(555)%branchCT(0:1))
    call avCT(555, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6526, nGC_6527])

    call avCT(555, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6528, nGC_6529])

    allocate(vertices(556)%branchCT(0:1))
    call avCT(556, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6528, nGC_6529])

    call avCT(556, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6526, nGC_6527])

    allocate(vertices(557)%branchCT(0:1))
    call avCT(557, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6528, nGC_6529])

    call avCT(557, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6526, nGC_6527])

    allocate(vertices(558)%branchCT(0:1))
    call avCT(558, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6528, nGC_6529])

    call avCT(558, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6526, nGC_6527])

    allocate(vertices(559)%branchCT(0:1))
    call avCT(559, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6528, nGC_6529])

    call avCT(559, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6526, nGC_6527])

    allocate(vertices(560)%branchCT(0:1))
    call avCT(560, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6538, nGC_6539])

    call avCT(560, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6536, nGC_6537])

    allocate(vertices(561)%branchCT(0:1))
    call avCT(561, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6536, nGC_6537])

    call avCT(561, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6538, nGC_6539])

    allocate(vertices(562)%branchCT(0:1))
    call avCT(562, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6538, nGC_6539])

    call avCT(562, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6536, nGC_6537])

    allocate(vertices(563)%branchCT(0:1))
    call avCT(563, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6538, nGC_6539])

    call avCT(563, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6536, nGC_6537])

    allocate(vertices(564)%branchCT(0:1))
    call avCT(564, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6536, nGC_6537])

    call avCT(564, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6538, nGC_6539])

    allocate(vertices(565)%branchCT(0:1))
    call avCT(565, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6549, nGC_6549])

    call avCT(565, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6548, nGC_6548])

    allocate(vertices(566)%branchCT(0:1))
    call avCT(566, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6548, nGC_6548])

    call avCT(566, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6549, nGC_6549])

    allocate(vertices(567)%branchCT(0:1))
    call avCT(567, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6549, nGC_6549])

    call avCT(567, 1, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6548, nGC_6548])

    allocate(vertices(568)%branchCT(0:1))
    call avCT(568, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6549, nGC_6549])

    call avCT(568, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6548, nGC_6548])

    allocate(vertices(569)%branchCT(0:1))
    call avCT(569, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6548, nGC_6548])

    call avCT(569, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6549, nGC_6549])

    allocate(vertices(570)%branchCT(0:1))
    call avCT(570, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6559, nGC_6559])

    call avCT(570, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6557, nGC_6557])

    allocate(vertices(571)%branchCT(0:1))
    call avCT(571, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6559, nGC_6559])

    call avCT(571, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6557, nGC_6557])

    allocate(vertices(572)%branchCT(0:1))
    call avCT(572, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6557, nGC_6557])

    call avCT(572, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6559, nGC_6559])

    allocate(vertices(573)%branchCT(0:1))
    call avCT(573, 0, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6559, nGC_6559])

    call avCT(573, 1, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6557, nGC_6557])

    allocate(vertices(574)%branchCT(0:1))
    call avCT(574, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6559, nGC_6559])

    call avCT(574, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6557, nGC_6557])

    allocate(vertices(575)%branchCT(0:1))
    call avCT(575, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_6569, nGC_6569])

    call avCT(575, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_6568, nGC_6568])

    allocate(vertices(576)%branchCT(0:1))
    call avCT(576, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_6569, nGC_6569])

    call avCT(576, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_6568, nGC_6568])

    allocate(vertices(577)%branchCT(0:1))
    call avCT(577, 0, 21, 1, 0, SFaF0, 0, [0, 3], [nGC_6568, nGC_6568])

    call avCT(577, 1, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_6569, nGC_6569])

    allocate(vertices(578)%branchCT(0:1))
    call avCT(578, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6568, nGC_6568])

    call avCT(578, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6569, nGC_6569])

    allocate(vertices(579)%branchCT(0:1))
    call avCT(579, 0, 19, 1, 0, FaSF0, 0, [2, 1], [nGC_6569, nGC_6569])

    call avCT(579, 1, 19, 1, 0, FaSF0, 0, [0, 3], [nGC_6568, nGC_6568])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(585)%branchCT(0:0))
    call avCT(585, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(586)%branchCT(0:0))
    call avCT(586, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(599)%branchCT(0:0))
    call avCT(599, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6573])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6573])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(955)%branchCT(0:0))
    call avCT(955, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(956)%branchCT(0:0))
    call avCT(956, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(957)%branchCT(0:0))
    call avCT(957, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(958)%branchCT(0:0))
    call avCT(958, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(959)%branchCT(0:0))
    call avCT(959, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(960)%branchCT(0:0))
    call avCT(960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(961)%branchCT(0:0))
    call avCT(961, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(962)%branchCT(0:0))
    call avCT(962, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(965)%branchCT(0:0))
    call avCT(965, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(966)%branchCT(0:0))
    call avCT(966, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(967)%branchCT(0:0))
    call avCT(967, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(969)%branchCT(0:0))
    call avCT(969, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(970)%branchCT(0:0))
    call avCT(970, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(971)%branchCT(0:0))
    call avCT(971, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(972)%branchCT(0:0))
    call avCT(972, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(973)%branchCT(0:0))
    call avCT(973, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(974)%branchCT(0:0))
    call avCT(974, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(975)%branchCT(0:0))
    call avCT(975, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6577])

    allocate(vertices(976)%branchCT(0:0))
    call avCT(976, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6577])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(613)%branchCT(0:0))
    call avCT(613, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(977)%branchCT(0:0))
    call avCT(977, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(979)%branchCT(0:0))
    call avCT(979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(980)%branchCT(0:0))
    call avCT(980, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(981)%branchCT(0:0))
    call avCT(981, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(982)%branchCT(0:0))
    call avCT(982, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(983)%branchCT(0:0))
    call avCT(983, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(984)%branchCT(0:0))
    call avCT(984, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(985)%branchCT(0:0))
    call avCT(985, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(986)%branchCT(0:0))
    call avCT(986, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(987)%branchCT(0:0))
    call avCT(987, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(989)%branchCT(0:0))
    call avCT(989, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(990)%branchCT(0:0))
    call avCT(990, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(991)%branchCT(0:0))
    call avCT(991, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(992)%branchCT(0:0))
    call avCT(992, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(993)%branchCT(0:0))
    call avCT(993, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(994)%branchCT(0:0))
    call avCT(994, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(995)%branchCT(0:0))
    call avCT(995, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(996)%branchCT(0:0))
    call avCT(996, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(997)%branchCT(0:0))
    call avCT(997, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(998)%branchCT(0:0))
    call avCT(998, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(999)%branchCT(0:0))
    call avCT(999, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(632)%branchCT(0:0))
    call avCT(632, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(636)%branchCT(0:0))
    call avCT(636, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(638)%branchCT(0:0))
    call avCT(638, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(641)%branchCT(0:0))
    call avCT(641, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(1000)%branchCT(0:0))
    call avCT(1000, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1002)%branchCT(0:0))
    call avCT(1002, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1003)%branchCT(0:0))
    call avCT(1003, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1004)%branchCT(0:0))
    call avCT(1004, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1005)%branchCT(0:0))
    call avCT(1005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1006)%branchCT(0:0))
    call avCT(1006, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1007)%branchCT(0:0))
    call avCT(1007, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1008)%branchCT(0:0))
    call avCT(1008, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1009)%branchCT(0:0))
    call avCT(1009, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1010)%branchCT(0:0))
    call avCT(1010, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1012)%branchCT(0:0))
    call avCT(1012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1013)%branchCT(0:0))
    call avCT(1013, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1014)%branchCT(0:0))
    call avCT(1014, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1015)%branchCT(0:0))
    call avCT(1015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1016)%branchCT(0:0))
    call avCT(1016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1017)%branchCT(0:0))
    call avCT(1017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1018)%branchCT(0:0))
    call avCT(1018, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1019)%branchCT(0:0))
    call avCT(1019, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1020)%branchCT(0:0))
    call avCT(1020, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1021)%branchCT(0:0))
    call avCT(1021, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1022)%branchCT(0:0))
    call avCT(1022, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(1023)%branchCT(0:0))
    call avCT(1023, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1025)%branchCT(0:0))
    call avCT(1025, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1026)%branchCT(0:0))
    call avCT(1026, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(654)%branchCT(0:0))
    call avCT(654, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6606])

    allocate(vertices(655)%branchCT(0:0))
    call avCT(655, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9325])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9325])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6606])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9325])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9334])

    allocate(vertices(660)%branchCT(0:0))
    call avCT(660, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6609])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6609])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9334])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9334])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6612])

    allocate(vertices(665)%branchCT(0:0))
    call avCT(665, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9347])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9347])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6612])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9347])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9357])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9357])

    allocate(vertices(672)%branchCT(0:0))
    call avCT(672, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6616])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9357])

    allocate(vertices(863)%branchCT(0:0))
    call avCT(863, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9370])

    allocate(vertices(865)%branchCT(0:0))
    call avCT(865, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_6620])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9370])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_9370])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6623])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6623])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6623])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6623])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6623])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(693)%branchCT(0:0))
    call avCT(693, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6627])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6627])

    allocate(vertices(1028)%branchCT(0:0))
    call avCT(1028, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1029)%branchCT(0:0))
    call avCT(1029, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1030)%branchCT(0:0))
    call avCT(1030, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1031)%branchCT(0:0))
    call avCT(1031, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1032)%branchCT(0:0))
    call avCT(1032, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1033)%branchCT(0:0))
    call avCT(1033, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1034)%branchCT(0:0))
    call avCT(1034, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1035)%branchCT(0:0))
    call avCT(1035, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1036)%branchCT(0:0))
    call avCT(1036, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1037)%branchCT(0:0))
    call avCT(1037, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1041)%branchCT(0:0))
    call avCT(1041, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6631])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(705)%branchCT(0:0))
    call avCT(705, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(707)%branchCT(0:0))
    call avCT(707, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(712)%branchCT(0:0))
    call avCT(712, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(714)%branchCT(0:0))
    call avCT(714, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(721)%branchCT(0:0))
    call avCT(721, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(722)%branchCT(0:0))
    call avCT(722, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6581])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6581])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1056)%branchCT(0:0))
    call avCT(1056, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1060)%branchCT(0:0))
    call avCT(1060, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1061)%branchCT(0:0))
    call avCT(1061, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1069)%branchCT(0:0))
    call avCT(1069, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6585])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(728)%branchCT(0:0))
    call avCT(728, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(729)%branchCT(0:0))
    call avCT(729, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(730)%branchCT(0:0))
    call avCT(730, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6589])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6589])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1075)%branchCT(0:0))
    call avCT(1075, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1076)%branchCT(0:0))
    call avCT(1076, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1080)%branchCT(0:0))
    call avCT(1080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1081)%branchCT(0:0))
    call avCT(1081, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1082)%branchCT(0:0))
    call avCT(1082, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1084)%branchCT(0:0))
    call avCT(1084, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1085)%branchCT(0:0))
    call avCT(1085, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1086)%branchCT(0:0))
    call avCT(1086, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1087)%branchCT(0:0))
    call avCT(1087, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1088)%branchCT(0:0))
    call avCT(1088, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1089)%branchCT(0:0))
    call avCT(1089, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1090)%branchCT(0:0))
    call avCT(1090, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1091)%branchCT(0:0))
    call avCT(1091, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1093)%branchCT(0:0))
    call avCT(1093, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1094)%branchCT(0:0))
    call avCT(1094, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1095)%branchCT(0:0))
    call avCT(1095, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6593])

    allocate(vertices(1096)%branchCT(0:0))
    call avCT(1096, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6593])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6598])

    allocate(vertices(1097)%branchCT(0:0))
    call avCT(1097, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1098)%branchCT(0:0))
    call avCT(1098, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1099)%branchCT(0:0))
    call avCT(1099, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(1101)%branchCT(0:0))
    call avCT(1101, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_6603])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6606])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9325])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9325])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6606])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9325])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6656])

    allocate(vertices(759)%branchCT(0:0))
    call avCT(759, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9832])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9832])

    allocate(vertices(761)%branchCT(0:0))
    call avCT(761, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6656])

    allocate(vertices(762)%branchCT(0:0))
    call avCT(762, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9832])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_6659])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_9843])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_9843])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_6659])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9843])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(780)%branchCT(0:0))
    call avCT(780, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_6662])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_6662])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_6662])

  end subroutine fill_vertices_mdl3
end module vertices_info3
