!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, A. Denner, J.N.-Lang                   |      !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 19:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4461])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4461])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4461])

    allocate(vertices(0)%branchR2(0:0))
    call avR2(0, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4461])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4462])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4462])

    allocate(vertices(9)%branchR2(0:0))
    call avR2(9, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4463])

    allocate(vertices(8)%branchR2(0:0))
    call avR2(8, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(246)%branchR2(0:0))
    call avR2(246, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4464])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(265)%branchR2(0:0))
    call avR2(265, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(267)%branchR2(0:0))
    call avR2(267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4465])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(223)%branchR2(0:0))
    call avR2(223, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(225)%branchR2(0:0))
    call avR2(225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4466])

    allocate(vertices(868)%branchR2(0:0))
    call avR2(868, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4467])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4467])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4467])

    allocate(vertices(871)%branchR2(0:0))
    call avR2(871, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4467])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4467])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4467])

    allocate(vertices(7)%branchR2(0:0))
    call avR2(7, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(241)%branchR2(0:0))
    call avR2(241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(238)%branchR2(0:0))
    call avR2(238, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(237)%branchR2(0:0))
    call avR2(237, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(239)%branchR2(0:0))
    call avR2(239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(236)%branchR2(0:0))
    call avR2(236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4468])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1147)%branchR2(0:0))
    call avR2(1147, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1148)%branchR2(0:0))
    call avR2(1148, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1150)%branchR2(0:0))
    call avR2(1150, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1151)%branchR2(0:0))
    call avR2(1151, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1152)%branchR2(0:0))
    call avR2(1152, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1153)%branchR2(0:0))
    call avR2(1153, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4469])

    allocate(vertices(1156)%branchR2(0:0))
    call avR2(1156, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4469])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(842)%branchR2(0:0))
    call avR2(842, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(97)%branchR2(0:0))
    call avR2(97, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(830)%branchR2(0:0))
    call avR2(830, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4470])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4470])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1092)%branchR2(0:0))
    call avR2(1092, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1093)%branchR2(0:0))
    call avR2(1093, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1094)%branchR2(0:0))
    call avR2(1094, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1075)%branchR2(0:0))
    call avR2(1075, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1074)%branchR2(0:0))
    call avR2(1074, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1077)%branchR2(0:0))
    call avR2(1077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1076)%branchR2(0:0))
    call avR2(1076, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1080)%branchR2(0:0))
    call avR2(1080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1083)%branchR2(0:0))
    call avR2(1083, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1090)%branchR2(0:0))
    call avR2(1090, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1086)%branchR2(0:0))
    call avR2(1086, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4471])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4472])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4472])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4472])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4472])

    allocate(vertices(1004)%branchR2(0:0))
    call avR2(1004, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1005)%branchR2(0:0))
    call avR2(1005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1000)%branchR2(0:0))
    call avR2(1000, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1003)%branchR2(0:0))
    call avR2(1003, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1002)%branchR2(0:0))
    call avR2(1002, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1021)%branchR2(0:0))
    call avR2(1021, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(113)%branchR2(0:0))
    call avR2(113, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1020)%branchR2(0:0))
    call avR2(1020, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1019)%branchR2(0:0))
    call avR2(1019, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1007)%branchR2(0:0))
    call avR2(1007, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1006)%branchR2(0:0))
    call avR2(1006, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1011)%branchR2(0:0))
    call avR2(1011, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1009)%branchR2(0:0))
    call avR2(1009, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1013)%branchR2(0:0))
    call avR2(1013, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1012)%branchR2(0:0))
    call avR2(1012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1017)%branchR2(0:0))
    call avR2(1017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4473])

    allocate(vertices(1015)%branchR2(0:0))
    call avR2(1015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4473])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(184)%branchR2(0:0))
    call avR2(184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(182)%branchR2(0:0))
    call avR2(182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(2)%branchR2(0:0))
    call avR2(2, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4474])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(95)%branchR2(0:0))
    call avR2(95, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4475])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4475])

    allocate(vertices(1125)%branchR2(0:0))
    call avR2(1125, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4476])

    allocate(vertices(1126)%branchR2(0:0))
    call avR2(1126, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4476])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4476])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4476])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4476])

    allocate(vertices(120)%branchR2(0:0))
    call avR2(120, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4476])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4477])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_4478])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(813)%branchR2(0:0))
    call avR2(813, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(816)%branchR2(0:0))
    call avR2(816, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4479])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4479])

    allocate(vertices(1534)%branchR2(0:0))
    call avR2(1534, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1535)%branchR2(0:0))
    call avR2(1535, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1536)%branchR2(0:0))
    call avR2(1536, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1537)%branchR2(0:0))
    call avR2(1537, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1538)%branchR2(0:0))
    call avR2(1538, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1539)%branchR2(0:0))
    call avR2(1539, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4480])

    allocate(vertices(1540)%branchR2(0:1))
    call avR2(1540, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1540, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1541)%branchR2(0:1))
    call avR2(1541, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1541, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1542)%branchR2(0:1))
    call avR2(1542, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1542, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1543)%branchR2(0:1))
    call avR2(1543, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1543, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1544)%branchR2(0:1))
    call avR2(1544, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1544, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1545)%branchR2(0:1))
    call avR2(1545, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1545, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1546)%branchR2(0:1))
    call avR2(1546, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1546, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1547)%branchR2(0:1))
    call avR2(1547, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1547, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1548)%branchR2(0:1))
    call avR2(1548, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1548, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1549)%branchR2(0:1))
    call avR2(1549, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1549, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1550)%branchR2(0:1))
    call avR2(1550, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1550, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(1551)%branchR2(0:1))
    call avR2(1551, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_4481, nGC_4481,        &
    nGC_4481])

    call avR2(1551, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_4482, nGC_4482,        &
    nGC_4482])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1145)%branchR2(0:0))
    call avR2(1145, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1144)%branchR2(0:0))
    call avR2(1144, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1143)%branchR2(0:0))
    call avR2(1143, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1142)%branchR2(0:0))
    call avR2(1142, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1141)%branchR2(0:0))
    call avR2(1141, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_4483])

    allocate(vertices(1552)%branchR2(0:1))
    call avR2(1552, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1552, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1553)%branchR2(0:1))
    call avR2(1553, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1553, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1554)%branchR2(0:1))
    call avR2(1554, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1554, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1555)%branchR2(0:1))
    call avR2(1555, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1555, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1556)%branchR2(0:1))
    call avR2(1556, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1556, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1557)%branchR2(0:1))
    call avR2(1557, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1557, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1558)%branchR2(0:1))
    call avR2(1558, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1558, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1559)%branchR2(0:1))
    call avR2(1559, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1559, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1560)%branchR2(0:1))
    call avR2(1560, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1560, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1561)%branchR2(0:1))
    call avR2(1561, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1561, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1562)%branchR2(0:1))
    call avR2(1562, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1562, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1563)%branchR2(0:1))
    call avR2(1563, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_4484, nGC_4484,        &
    nGC_4484])

    call avR2(1563, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_4485, nGC_4485,        &
    nGC_4485])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4487, nGC_4486, nGC_4488&
    ])

    allocate(vertices(1169)%branchR2(0:0))
    call avR2(1169, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4487, nGC_4488&
    ])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4488, nGC_4487])

    allocate(vertices(1163)%branchR2(0:0))
    call avR2(1163, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4487, nGC_4488&
    ])

    allocate(vertices(1164)%branchR2(0:0))
    call avR2(1164, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4487, nGC_4486, nGC_4488&
    ])

    allocate(vertices(1160)%branchR2(0:0))
    call avR2(1160, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4486, nGC_4488, nGC_4487&
    ])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4488, nGC_4486, nGC_4487&
    ])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4487, nGC_4488, nGC_4486&
    ])

    allocate(vertices(1161)%branchR2(0:0))
    call avR2(1161, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4488, nGC_4487, nGC_4486&
    ])

    allocate(vertices(1167)%branchR2(0:0))
    call avR2(1167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4488, nGC_4486, nGC_4487&
    ])

    allocate(vertices(1166)%branchR2(0:0))
    call avR2(1166, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4488, nGC_4487, nGC_4486&
    ])

    allocate(vertices(1165)%branchR2(0:0))
    call avR2(1165, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4487, nGC_4488, nGC_4486&
    ])

    allocate(vertices(1564)%branchR2(0:1))
    call avR2(1564, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_4489])

    call avR2(1564, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_4490])

    allocate(vertices(1565)%branchR2(0:1))
    call avR2(1565, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_4489])

    call avR2(1565, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_4490])

    allocate(vertices(1566)%branchR2(0:1))
    call avR2(1566, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_4489])

    call avR2(1566, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_4490])

    allocate(vertices(1567)%branchR2(0:1))
    call avR2(1567, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_4489])

    call avR2(1567, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_4490])

    allocate(vertices(1568)%branchR2(0:1))
    call avR2(1568, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_4489])

    call avR2(1568, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_4490])

    allocate(vertices(1569)%branchR2(0:1))
    call avR2(1569, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_4489])

    call avR2(1569, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_4490])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4491, nGC_4491, nGC_4492])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4491, nGC_4492, nGC_4491])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4492, nGC_4491, nGC_4491])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4492, nGC_4491, nGC_4491])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4491, nGC_4492, nGC_4491])

    allocate(vertices(873)%branchR2(0:0))
    call avR2(873, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4491, nGC_4491, nGC_4492])

    allocate(vertices(1570)%branchR2(0:1))
    call avR2(1570, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_4493])

    call avR2(1570, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1571)%branchR2(0:1))
    call avR2(1571, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_4493])

    call avR2(1571, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1572)%branchR2(0:1))
    call avR2(1572, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_4493])

    call avR2(1572, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1573)%branchR2(0:1))
    call avR2(1573, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_4493])

    call avR2(1573, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1574)%branchR2(0:1))
    call avR2(1574, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_4493])

    call avR2(1574, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1575)%branchR2(0:1))
    call avR2(1575, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_4493])

    call avR2(1575, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_4494])

    allocate(vertices(1576)%branchR2(0:0))
    call avR2(1576, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_4495, nGC_4495, nGC_4495&
    ])

    allocate(vertices(1577)%branchR2(0:5))
    call avR2(1577, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    call avR2(1577, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1577, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1577, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_4498, nGC_4498,        &
    nGC_4498])

    call avR2(1577, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1577, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    allocate(vertices(1578)%branchR2(0:5))
    call avR2(1578, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    call avR2(1578, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1578, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1578, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_4498, nGC_4498,        &
    nGC_4498])

    call avR2(1578, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1578, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    allocate(vertices(1579)%branchR2(0:5))
    call avR2(1579, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    call avR2(1579, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1579, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1579, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_4498, nGC_4498,        &
    nGC_4498])

    call avR2(1579, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1579, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    allocate(vertices(1580)%branchR2(0:5))
    call avR2(1580, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    call avR2(1580, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1580, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1580, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_4498, nGC_4498,        &
    nGC_4498])

    call avR2(1580, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_4497, nGC_4497,        &
    nGC_4497])

    call avR2(1580, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_4496, nGC_4496,        &
    nGC_4496])

    allocate(vertices(1581)%branchR2(0:1))
    call avR2(1581, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1581, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1582, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1583)%branchR2(0:1))
    call avR2(1583, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1583, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1584)%branchR2(0:1))
    call avR2(1584, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1584, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1585)%branchR2(0:1))
    call avR2(1585, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1585, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_4499, nGC_4499,        &
    nGC_4499])

    call avR2(1586, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_4500, nGC_4500,        &
    nGC_4500])

    allocate(vertices(1587)%branchR2(0:5))
    call avR2(1587, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    call avR2(1587, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1587, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1587, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_4503, nGC_4503,        &
    nGC_4503])

    call avR2(1587, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1587, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    allocate(vertices(1588)%branchR2(0:5))
    call avR2(1588, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    call avR2(1588, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1588, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1588, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_4503, nGC_4503,        &
    nGC_4503])

    call avR2(1588, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1588, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    allocate(vertices(1589)%branchR2(0:5))
    call avR2(1589, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    call avR2(1589, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1589, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1589, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_4503, nGC_4503,        &
    nGC_4503])

    call avR2(1589, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1589, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    allocate(vertices(1590)%branchR2(0:5))
    call avR2(1590, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    call avR2(1590, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1590, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1590, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_4503, nGC_4503,        &
    nGC_4503])

    call avR2(1590, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_4502, nGC_4502,        &
    nGC_4502])

    call avR2(1590, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_4501, nGC_4501,        &
    nGC_4501])

    allocate(vertices(49)%branchR2(0:23))
    call avR2(49, 0, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_4504, nGC_4505, nGC_4504])

    call avR2(49, 1, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_4505, nGC_4504, nGC_4504])

    call avR2(49, 2, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_4504, nGC_4505, nGC_4504])

    call avR2(49, 3, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_4505, nGC_4504, nGC_4504])

    call avR2(49, 4, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_4504, nGC_4504, nGC_4505])

    call avR2(49, 5, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_4504, nGC_4504, nGC_4505])

    call avR2(49, 6, 79, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506])

    call avR2(49, 7, 80, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506])

    call avR2(49, 8, 81, 1, 0, VVVV0, 0, [4, 0], [nGC_4507, nGC_4508, nGC_4508])

    call avR2(49, 9, 82, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506])

    call avR2(49, 10, 83, 1, 0, VVVV0, 0, [4, 0], [nGC_4508, nGC_4508, nGC_4507&
    ])

    call avR2(49, 11, 84, 1, 0, VVVV0, 0, [4, 0], [nGC_4508, nGC_4507, nGC_4508&
    ])

    call avR2(49, 12, 85, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506&
    ])

    call avR2(49, 13, 86, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506&
    ])

    call avR2(49, 14, 87, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506&
    ])

    call avR2(49, 15, 88, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506&
    ])

    call avR2(49, 16, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_4506, nGC_4506, nGC_4506&
    ])

    call avR2(49, 17, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

    call avR2(49, 18, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

    call avR2(49, 19, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

    call avR2(49, 20, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_4510, nGC_4510, nGC_4510&
    ])

    call avR2(49, 21, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

    call avR2(49, 22, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

    call avR2(49, 23, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_4509, nGC_4509, nGC_4509&
    ])

  end subroutine fill_vertices_mdl6
end module vertices_info6
